#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 329
#define LARGE_STATE_COUNT 2
#define SYMBOL_COUNT 47
#define ALIAS_COUNT 0
#define TOKEN_COUNT 22
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 5
#define MAX_ALIAS_SEQUENCE_LENGTH 11
#define PRODUCTION_ID_COUNT 18

enum ts_symbol_identifiers {
  anon_sym_DOT = 1,
  sym_escape_sequence = 2,
  anon_sym_STAR = 3,
  anon_sym_PLUS = 4,
  anon_sym_QMARK = 5,
  sym_identifier = 6,
  aux_sym__immediate_identifier_token1 = 7,
  anon_sym__ = 8,
  anon_sym_AT = 9,
  anon_sym_DQUOTE = 10,
  aux_sym_string_content_token1 = 11,
  sym_comment = 12,
  anon_sym_LBRACK = 13,
  anon_sym_RBRACK = 14,
  anon_sym_LPAREN = 15,
  anon_sym_RPAREN = 16,
  anon_sym_SLASH = 17,
  anon_sym_COLON = 18,
  anon_sym_BANG = 19,
  anon_sym_POUND = 20,
  sym_predicate_type = 21,
  sym_program = 22,
  sym_definition = 23,
  sym__group_expression = 24,
  sym__named_node_expression = 25,
  sym_quantifier = 26,
  sym__immediate_identifier = 27,
  sym__node_identifier = 28,
  sym_capture = 29,
  sym_string = 30,
  sym_string_content = 31,
  sym_parameters = 32,
  sym_list = 33,
  sym_grouping = 34,
  sym_anonymous_node = 35,
  sym_named_node = 36,
  sym__field_name = 37,
  sym_field_definition = 38,
  sym_negated_field = 39,
  sym_predicate = 40,
  aux_sym_program_repeat1 = 41,
  aux_sym_string_content_repeat1 = 42,
  aux_sym_parameters_repeat1 = 43,
  aux_sym_list_repeat1 = 44,
  aux_sym_grouping_repeat1 = 45,
  aux_sym_named_node_repeat1 = 46,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [anon_sym_DOT] = ".",
  [sym_escape_sequence] = "escape_sequence",
  [anon_sym_STAR] = "*",
  [anon_sym_PLUS] = "+",
  [anon_sym_QMARK] = "\?",
  [sym_identifier] = "identifier",
  [aux_sym__immediate_identifier_token1] = "identifier",
  [anon_sym__] = "_",
  [anon_sym_AT] = "@",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_content_token1] = "string_content_token1",
  [sym_comment] = "comment",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_SLASH] = "/",
  [anon_sym_COLON] = ":",
  [anon_sym_BANG] = "!",
  [anon_sym_POUND] = "#",
  [sym_predicate_type] = "predicate_type",
  [sym_program] = "program",
  [sym_definition] = "definition",
  [sym__group_expression] = "_group_expression",
  [sym__named_node_expression] = "_named_node_expression",
  [sym_quantifier] = "quantifier",
  [sym__immediate_identifier] = "_immediate_identifier",
  [sym__node_identifier] = "_node_identifier",
  [sym_capture] = "capture",
  [sym_string] = "string",
  [sym_string_content] = "string_content",
  [sym_parameters] = "parameters",
  [sym_list] = "list",
  [sym_grouping] = "grouping",
  [sym_anonymous_node] = "anonymous_node",
  [sym_named_node] = "named_node",
  [sym__field_name] = "_field_name",
  [sym_field_definition] = "field_definition",
  [sym_negated_field] = "negated_field",
  [sym_predicate] = "predicate",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_string_content_repeat1] = "string_content_repeat1",
  [aux_sym_parameters_repeat1] = "parameters_repeat1",
  [aux_sym_list_repeat1] = "list_repeat1",
  [aux_sym_grouping_repeat1] = "grouping_repeat1",
  [aux_sym_named_node_repeat1] = "named_node_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [anon_sym_DOT] = anon_sym_DOT,
  [sym_escape_sequence] = sym_escape_sequence,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [sym_identifier] = sym_identifier,
  [aux_sym__immediate_identifier_token1] = sym_identifier,
  [anon_sym__] = anon_sym__,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_content_token1] = aux_sym_string_content_token1,
  [sym_comment] = sym_comment,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_POUND] = anon_sym_POUND,
  [sym_predicate_type] = sym_predicate_type,
  [sym_program] = sym_program,
  [sym_definition] = sym_definition,
  [sym__group_expression] = sym__group_expression,
  [sym__named_node_expression] = sym__named_node_expression,
  [sym_quantifier] = sym_quantifier,
  [sym__immediate_identifier] = sym__immediate_identifier,
  [sym__node_identifier] = sym__node_identifier,
  [sym_capture] = sym_capture,
  [sym_string] = sym_string,
  [sym_string_content] = sym_string_content,
  [sym_parameters] = sym_parameters,
  [sym_list] = sym_list,
  [sym_grouping] = sym_grouping,
  [sym_anonymous_node] = sym_anonymous_node,
  [sym_named_node] = sym_named_node,
  [sym__field_name] = sym__field_name,
  [sym_field_definition] = sym_field_definition,
  [sym_negated_field] = sym_negated_field,
  [sym_predicate] = sym_predicate,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_string_content_repeat1] = aux_sym_string_content_repeat1,
  [aux_sym_parameters_repeat1] = aux_sym_parameters_repeat1,
  [aux_sym_list_repeat1] = aux_sym_list_repeat1,
  [aux_sym_grouping_repeat1] = aux_sym_grouping_repeat1,
  [aux_sym_named_node_repeat1] = aux_sym_named_node_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__immediate_identifier_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_content_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [sym_predicate_type] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_definition] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__group_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__named_node_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_quantifier] = {
    .visible = true,
    .named = true,
  },
  [sym__immediate_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym__node_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_capture] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_list] = {
    .visible = true,
    .named = true,
  },
  [sym_grouping] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_node] = {
    .visible = true,
    .named = true,
  },
  [sym_named_node] = {
    .visible = true,
    .named = true,
  },
  [sym__field_name] = {
    .visible = false,
    .named = true,
  },
  [sym_field_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_negated_field] = {
    .visible = true,
    .named = true,
  },
  [sym_predicate] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_grouping_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_named_node_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum ts_field_identifiers {
  field_name = 1,
  field_parameters = 2,
  field_quantifier = 3,
  field_supertype = 4,
  field_type = 5,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_name] = "name",
  [field_parameters] = "parameters",
  [field_quantifier] = "quantifier",
  [field_supertype] = "supertype",
  [field_type] = "type",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [2] = {.index = 1, .length = 2},
  [3] = {.index = 3, .length = 1},
  [4] = {.index = 4, .length = 1},
  [5] = {.index = 5, .length = 1},
  [6] = {.index = 6, .length = 2},
  [7] = {.index = 8, .length = 2},
  [8] = {.index = 10, .length = 2},
  [9] = {.index = 12, .length = 3},
  [10] = {.index = 15, .length = 4},
  [11] = {.index = 19, .length = 2},
  [12] = {.index = 21, .length = 3},
  [13] = {.index = 24, .length = 2},
  [14] = {.index = 26, .length = 3},
  [15] = {.index = 29, .length = 2},
  [16] = {.index = 31, .length = 3},
  [17] = {.index = 34, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 0},
  [1] =
    {field_name, 0},
    {field_quantifier, 1},
  [3] =
    {field_name, 1},
  [4] =
    {field_quantifier, 2},
  [5] =
    {field_quantifier, 3},
  [6] =
    {field_name, 1},
    {field_quantifier, 3},
  [8] =
    {field_name, 3},
    {field_supertype, 1},
  [10] =
    {field_name, 1},
    {field_quantifier, 4},
  [12] =
    {field_name, 3},
    {field_quantifier, 5},
    {field_supertype, 1},
  [15] =
    {field_name, 1},
    {field_name, 2},
    {field_parameters, 4},
    {field_type, 3},
  [19] =
    {field_name, 1},
    {field_quantifier, 5},
  [21] =
    {field_name, 3},
    {field_quantifier, 6},
    {field_supertype, 1},
  [24] =
    {field_name, 1},
    {field_quantifier, 6},
  [26] =
    {field_name, 3},
    {field_quantifier, 7},
    {field_supertype, 1},
  [29] =
    {field_name, 1},
    {field_quantifier, 7},
  [31] =
    {field_name, 3},
    {field_quantifier, 8},
    {field_supertype, 1},
  [34] =
    {field_name, 3},
    {field_quantifier, 9},
    {field_supertype, 1},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 2,
  [5] = 3,
  [6] = 3,
  [7] = 2,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 9,
  [15] = 12,
  [16] = 8,
  [17] = 10,
  [18] = 9,
  [19] = 8,
  [20] = 13,
  [21] = 10,
  [22] = 12,
  [23] = 13,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 26,
  [31] = 31,
  [32] = 29,
  [33] = 31,
  [34] = 34,
  [35] = 27,
  [36] = 34,
  [37] = 28,
  [38] = 27,
  [39] = 28,
  [40] = 24,
  [41] = 26,
  [42] = 31,
  [43] = 29,
  [44] = 34,
  [45] = 24,
  [46] = 25,
  [47] = 25,
  [48] = 48,
  [49] = 49,
  [50] = 48,
  [51] = 51,
  [52] = 48,
  [53] = 53,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 56,
  [58] = 58,
  [59] = 54,
  [60] = 56,
  [61] = 53,
  [62] = 53,
  [63] = 63,
  [64] = 64,
  [65] = 65,
  [66] = 66,
  [67] = 67,
  [68] = 68,
  [69] = 69,
  [70] = 70,
  [71] = 71,
  [72] = 72,
  [73] = 73,
  [74] = 74,
  [75] = 75,
  [76] = 76,
  [77] = 77,
  [78] = 78,
  [79] = 79,
  [80] = 79,
  [81] = 79,
  [82] = 67,
  [83] = 75,
  [84] = 78,
  [85] = 65,
  [86] = 72,
  [87] = 68,
  [88] = 64,
  [89] = 71,
  [90] = 73,
  [91] = 69,
  [92] = 77,
  [93] = 66,
  [94] = 75,
  [95] = 74,
  [96] = 77,
  [97] = 74,
  [98] = 69,
  [99] = 78,
  [100] = 63,
  [101] = 63,
  [102] = 65,
  [103] = 66,
  [104] = 70,
  [105] = 67,
  [106] = 68,
  [107] = 70,
  [108] = 64,
  [109] = 72,
  [110] = 71,
  [111] = 73,
  [112] = 112,
  [113] = 113,
  [114] = 114,
  [115] = 115,
  [116] = 112,
  [117] = 113,
  [118] = 118,
  [119] = 119,
  [120] = 120,
  [121] = 121,
  [122] = 122,
  [123] = 123,
  [124] = 124,
  [125] = 125,
  [126] = 126,
  [127] = 127,
  [128] = 128,
  [129] = 129,
  [130] = 130,
  [131] = 131,
  [132] = 132,
  [133] = 133,
  [134] = 134,
  [135] = 135,
  [136] = 136,
  [137] = 137,
  [138] = 138,
  [139] = 139,
  [140] = 140,
  [141] = 141,
  [142] = 142,
  [143] = 143,
  [144] = 144,
  [145] = 145,
  [146] = 146,
  [147] = 147,
  [148] = 148,
  [149] = 149,
  [150] = 150,
  [151] = 151,
  [152] = 152,
  [153] = 153,
  [154] = 154,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 160,
  [161] = 161,
  [162] = 112,
  [163] = 163,
  [164] = 163,
  [165] = 113,
  [166] = 163,
  [167] = 147,
  [168] = 141,
  [169] = 142,
  [170] = 143,
  [171] = 144,
  [172] = 145,
  [173] = 146,
  [174] = 147,
  [175] = 148,
  [176] = 149,
  [177] = 150,
  [178] = 151,
  [179] = 152,
  [180] = 153,
  [181] = 154,
  [182] = 155,
  [183] = 156,
  [184] = 129,
  [185] = 157,
  [186] = 158,
  [187] = 159,
  [188] = 160,
  [189] = 115,
  [190] = 130,
  [191] = 191,
  [192] = 159,
  [193] = 131,
  [194] = 194,
  [195] = 160,
  [196] = 115,
  [197] = 132,
  [198] = 156,
  [199] = 133,
  [200] = 118,
  [201] = 114,
  [202] = 114,
  [203] = 119,
  [204] = 120,
  [205] = 157,
  [206] = 121,
  [207] = 122,
  [208] = 123,
  [209] = 209,
  [210] = 124,
  [211] = 125,
  [212] = 125,
  [213] = 126,
  [214] = 127,
  [215] = 128,
  [216] = 129,
  [217] = 130,
  [218] = 134,
  [219] = 155,
  [220] = 131,
  [221] = 132,
  [222] = 133,
  [223] = 127,
  [224] = 158,
  [225] = 134,
  [226] = 135,
  [227] = 136,
  [228] = 161,
  [229] = 137,
  [230] = 138,
  [231] = 128,
  [232] = 135,
  [233] = 136,
  [234] = 161,
  [235] = 119,
  [236] = 137,
  [237] = 138,
  [238] = 120,
  [239] = 239,
  [240] = 240,
  [241] = 139,
  [242] = 140,
  [243] = 121,
  [244] = 122,
  [245] = 141,
  [246] = 118,
  [247] = 142,
  [248] = 143,
  [249] = 144,
  [250] = 145,
  [251] = 146,
  [252] = 154,
  [253] = 123,
  [254] = 124,
  [255] = 148,
  [256] = 149,
  [257] = 150,
  [258] = 239,
  [259] = 151,
  [260] = 152,
  [261] = 239,
  [262] = 153,
  [263] = 139,
  [264] = 140,
  [265] = 126,
  [266] = 194,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 269,
  [279] = 276,
  [280] = 272,
  [281] = 271,
  [282] = 268,
  [283] = 274,
  [284] = 269,
  [285] = 276,
  [286] = 272,
  [287] = 271,
  [288] = 268,
  [289] = 274,
  [290] = 290,
  [291] = 191,
  [292] = 191,
  [293] = 293,
  [294] = 194,
  [295] = 295,
  [296] = 290,
  [297] = 270,
  [298] = 290,
  [299] = 270,
  [300] = 273,
  [301] = 273,
  [302] = 302,
  [303] = 302,
  [304] = 304,
  [305] = 302,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 308,
  [311] = 308,
  [312] = 309,
  [313] = 309,
  [314] = 314,
  [315] = 314,
  [316] = 314,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 320,
  [321] = 317,
  [322] = 322,
  [323] = 323,
  [324] = 320,
  [325] = 320,
  [326] = 318,
  [327] = 317,
  [328] = 318,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(16);
      ADVANCE_MAP(
        '!', 39,
        '"', 28,
        '#', 40,
        '(', 35,
        ')', 36,
        '*', 21,
        '+', 22,
        '.', 17,
        '/', 37,
        ':', 38,
        ';', 32,
        '?', 23,
        '@', 27,
        '[', 33,
        '\\', 7,
        ']', 34,
        '_', 26,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(14);
      if (lookahead == '$' ||
          ('-' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(24);
      END_STATE();
    case 1:
      ADVANCE_MAP(
        '!', 39,
        '"', 28,
        '(', 35,
        ')', 36,
        '*', 21,
        '+', 22,
        '.', 17,
        '/', 37,
        ':', 38,
        ';', 32,
        '?', 23,
        '@', 27,
        '[', 33,
        '_', 26,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(2);
      if (lookahead == '$' ||
          ('-' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(24);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '!', 39,
        '"', 28,
        '(', 35,
        ')', 36,
        '*', 21,
        '+', 22,
        '.', 17,
        ':', 38,
        ';', 32,
        '?', 23,
        '@', 27,
        '[', 33,
        '_', 26,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(2);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(24);
      END_STATE();
    case 3:
      if (lookahead == '"') ADVANCE(28);
      if (lookahead == ';') ADVANCE(29);
      if (lookahead == '\\') ADVANCE(7);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(30);
      if (lookahead != 0) ADVANCE(31);
      END_STATE();
    case 4:
      if (lookahead == ';') ADVANCE(32);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(41);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(5);
      if (lookahead == '$' ||
          lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(25);
      END_STATE();
    case 5:
      if (lookahead == ';') ADVANCE(32);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(5);
      END_STATE();
    case 6:
      if (lookahead == ';') ADVANCE(32);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(6);
      if (lookahead == '$' ||
          lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(24);
      END_STATE();
    case 7:
      if (lookahead == 'u') ADVANCE(8);
      if (lookahead == 'x') ADVANCE(13);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(20);
      if (lookahead != 0) ADVANCE(18);
      END_STATE();
    case 8:
      if (lookahead == '{') ADVANCE(12);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(10);
      END_STATE();
    case 9:
      if (lookahead == '}') ADVANCE(18);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(9);
      END_STATE();
    case 10:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(13);
      END_STATE();
    case 11:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(18);
      END_STATE();
    case 12:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(9);
      END_STATE();
    case 13:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(11);
      END_STATE();
    case 14:
      if (eof) ADVANCE(16);
      ADVANCE_MAP(
        '!', 39,
        '"', 28,
        '#', 40,
        '(', 35,
        ')', 36,
        '*', 21,
        '+', 22,
        '.', 17,
        ':', 38,
        ';', 32,
        '?', 23,
        '@', 27,
        '[', 33,
        ']', 34,
        '_', 26,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(14);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(24);
      END_STATE();
    case 15:
      if (eof) ADVANCE(16);
      ADVANCE_MAP(
        '!', 39,
        '"', 28,
        '#', 40,
        '(', 35,
        ')', 36,
        '*', 21,
        '+', 22,
        ';', 32,
        '?', 23,
        '@', 27,
        '[', 33,
        ']', 34,
        '_', 26,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(15);
      if (lookahead == '$' ||
          lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(24);
      END_STATE();
    case 16:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 17:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '$' ||
          lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(24);
      END_STATE();
    case 18:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 19:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(18);
      END_STATE();
    case 20:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(19);
      END_STATE();
    case 21:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 22:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 23:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 24:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '$' ||
          lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(24);
      END_STATE();
    case 25:
      ACCEPT_TOKEN(aux_sym__immediate_identifier_token1);
      if (lookahead == '$' ||
          lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(25);
      END_STATE();
    case 26:
      ACCEPT_TOKEN(anon_sym__);
      if (lookahead == '$' ||
          lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(24);
      END_STATE();
    case 27:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 28:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 29:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '\n') ADVANCE(31);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(29);
      END_STATE();
    case 30:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == ';') ADVANCE(29);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(30);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(31);
      END_STATE();
    case 31:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(31);
      END_STATE();
    case 32:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(32);
      END_STATE();
    case 33:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 34:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 35:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 37:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 38:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 39:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(anon_sym_POUND);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(sym_predicate_type);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 15},
  [2] = {.lex_state = 1},
  [3] = {.lex_state = 1},
  [4] = {.lex_state = 1},
  [5] = {.lex_state = 1},
  [6] = {.lex_state = 1},
  [7] = {.lex_state = 1},
  [8] = {.lex_state = 15},
  [9] = {.lex_state = 15},
  [10] = {.lex_state = 15},
  [11] = {.lex_state = 15},
  [12] = {.lex_state = 15},
  [13] = {.lex_state = 15},
  [14] = {.lex_state = 15},
  [15] = {.lex_state = 15},
  [16] = {.lex_state = 15},
  [17] = {.lex_state = 15},
  [18] = {.lex_state = 15},
  [19] = {.lex_state = 15},
  [20] = {.lex_state = 15},
  [21] = {.lex_state = 15},
  [22] = {.lex_state = 15},
  [23] = {.lex_state = 15},
  [24] = {.lex_state = 15},
  [25] = {.lex_state = 15},
  [26] = {.lex_state = 15},
  [27] = {.lex_state = 15},
  [28] = {.lex_state = 15},
  [29] = {.lex_state = 15},
  [30] = {.lex_state = 15},
  [31] = {.lex_state = 15},
  [32] = {.lex_state = 15},
  [33] = {.lex_state = 15},
  [34] = {.lex_state = 15},
  [35] = {.lex_state = 15},
  [36] = {.lex_state = 15},
  [37] = {.lex_state = 15},
  [38] = {.lex_state = 15},
  [39] = {.lex_state = 15},
  [40] = {.lex_state = 15},
  [41] = {.lex_state = 15},
  [42] = {.lex_state = 15},
  [43] = {.lex_state = 15},
  [44] = {.lex_state = 15},
  [45] = {.lex_state = 15},
  [46] = {.lex_state = 15},
  [47] = {.lex_state = 15},
  [48] = {.lex_state = 15},
  [49] = {.lex_state = 15},
  [50] = {.lex_state = 15},
  [51] = {.lex_state = 15},
  [52] = {.lex_state = 15},
  [53] = {.lex_state = 15},
  [54] = {.lex_state = 15},
  [55] = {.lex_state = 15},
  [56] = {.lex_state = 15},
  [57] = {.lex_state = 15},
  [58] = {.lex_state = 15},
  [59] = {.lex_state = 15},
  [60] = {.lex_state = 15},
  [61] = {.lex_state = 15},
  [62] = {.lex_state = 15},
  [63] = {.lex_state = 1},
  [64] = {.lex_state = 1},
  [65] = {.lex_state = 1},
  [66] = {.lex_state = 1},
  [67] = {.lex_state = 1},
  [68] = {.lex_state = 1},
  [69] = {.lex_state = 1},
  [70] = {.lex_state = 1},
  [71] = {.lex_state = 1},
  [72] = {.lex_state = 1},
  [73] = {.lex_state = 1},
  [74] = {.lex_state = 1},
  [75] = {.lex_state = 1},
  [76] = {.lex_state = 1},
  [77] = {.lex_state = 1},
  [78] = {.lex_state = 1},
  [79] = {.lex_state = 15},
  [80] = {.lex_state = 15},
  [81] = {.lex_state = 15},
  [82] = {.lex_state = 15},
  [83] = {.lex_state = 15},
  [84] = {.lex_state = 15},
  [85] = {.lex_state = 15},
  [86] = {.lex_state = 15},
  [87] = {.lex_state = 15},
  [88] = {.lex_state = 15},
  [89] = {.lex_state = 15},
  [90] = {.lex_state = 15},
  [91] = {.lex_state = 15},
  [92] = {.lex_state = 15},
  [93] = {.lex_state = 15},
  [94] = {.lex_state = 15},
  [95] = {.lex_state = 15},
  [96] = {.lex_state = 15},
  [97] = {.lex_state = 15},
  [98] = {.lex_state = 15},
  [99] = {.lex_state = 15},
  [100] = {.lex_state = 15},
  [101] = {.lex_state = 15},
  [102] = {.lex_state = 15},
  [103] = {.lex_state = 15},
  [104] = {.lex_state = 15},
  [105] = {.lex_state = 15},
  [106] = {.lex_state = 15},
  [107] = {.lex_state = 15},
  [108] = {.lex_state = 15},
  [109] = {.lex_state = 15},
  [110] = {.lex_state = 15},
  [111] = {.lex_state = 15},
  [112] = {.lex_state = 1},
  [113] = {.lex_state = 1},
  [114] = {.lex_state = 1},
  [115] = {.lex_state = 1},
  [116] = {.lex_state = 15},
  [117] = {.lex_state = 15},
  [118] = {.lex_state = 1},
  [119] = {.lex_state = 1},
  [120] = {.lex_state = 1},
  [121] = {.lex_state = 1},
  [122] = {.lex_state = 1},
  [123] = {.lex_state = 1},
  [124] = {.lex_state = 1},
  [125] = {.lex_state = 1},
  [126] = {.lex_state = 1},
  [127] = {.lex_state = 1},
  [128] = {.lex_state = 1},
  [129] = {.lex_state = 1},
  [130] = {.lex_state = 1},
  [131] = {.lex_state = 1},
  [132] = {.lex_state = 1},
  [133] = {.lex_state = 1},
  [134] = {.lex_state = 1},
  [135] = {.lex_state = 1},
  [136] = {.lex_state = 1},
  [137] = {.lex_state = 1},
  [138] = {.lex_state = 1},
  [139] = {.lex_state = 1},
  [140] = {.lex_state = 1},
  [141] = {.lex_state = 1},
  [142] = {.lex_state = 1},
  [143] = {.lex_state = 1},
  [144] = {.lex_state = 1},
  [145] = {.lex_state = 1},
  [146] = {.lex_state = 1},
  [147] = {.lex_state = 1},
  [148] = {.lex_state = 1},
  [149] = {.lex_state = 1},
  [150] = {.lex_state = 1},
  [151] = {.lex_state = 1},
  [152] = {.lex_state = 1},
  [153] = {.lex_state = 1},
  [154] = {.lex_state = 1},
  [155] = {.lex_state = 1},
  [156] = {.lex_state = 1},
  [157] = {.lex_state = 1},
  [158] = {.lex_state = 1},
  [159] = {.lex_state = 1},
  [160] = {.lex_state = 1},
  [161] = {.lex_state = 1},
  [162] = {.lex_state = 15},
  [163] = {.lex_state = 1},
  [164] = {.lex_state = 1},
  [165] = {.lex_state = 15},
  [166] = {.lex_state = 1},
  [167] = {.lex_state = 15},
  [168] = {.lex_state = 15},
  [169] = {.lex_state = 15},
  [170] = {.lex_state = 15},
  [171] = {.lex_state = 15},
  [172] = {.lex_state = 15},
  [173] = {.lex_state = 15},
  [174] = {.lex_state = 15},
  [175] = {.lex_state = 15},
  [176] = {.lex_state = 15},
  [177] = {.lex_state = 15},
  [178] = {.lex_state = 15},
  [179] = {.lex_state = 15},
  [180] = {.lex_state = 15},
  [181] = {.lex_state = 15},
  [182] = {.lex_state = 15},
  [183] = {.lex_state = 15},
  [184] = {.lex_state = 15},
  [185] = {.lex_state = 15},
  [186] = {.lex_state = 15},
  [187] = {.lex_state = 15},
  [188] = {.lex_state = 15},
  [189] = {.lex_state = 15},
  [190] = {.lex_state = 15},
  [191] = {.lex_state = 1},
  [192] = {.lex_state = 15},
  [193] = {.lex_state = 15},
  [194] = {.lex_state = 1},
  [195] = {.lex_state = 15},
  [196] = {.lex_state = 15},
  [197] = {.lex_state = 15},
  [198] = {.lex_state = 15},
  [199] = {.lex_state = 15},
  [200] = {.lex_state = 15},
  [201] = {.lex_state = 15},
  [202] = {.lex_state = 15},
  [203] = {.lex_state = 15},
  [204] = {.lex_state = 15},
  [205] = {.lex_state = 15},
  [206] = {.lex_state = 15},
  [207] = {.lex_state = 15},
  [208] = {.lex_state = 15},
  [209] = {.lex_state = 15},
  [210] = {.lex_state = 15},
  [211] = {.lex_state = 15},
  [212] = {.lex_state = 15},
  [213] = {.lex_state = 15},
  [214] = {.lex_state = 15},
  [215] = {.lex_state = 15},
  [216] = {.lex_state = 15},
  [217] = {.lex_state = 15},
  [218] = {.lex_state = 15},
  [219] = {.lex_state = 15},
  [220] = {.lex_state = 15},
  [221] = {.lex_state = 15},
  [222] = {.lex_state = 15},
  [223] = {.lex_state = 15},
  [224] = {.lex_state = 15},
  [225] = {.lex_state = 15},
  [226] = {.lex_state = 15},
  [227] = {.lex_state = 15},
  [228] = {.lex_state = 15},
  [229] = {.lex_state = 15},
  [230] = {.lex_state = 15},
  [231] = {.lex_state = 15},
  [232] = {.lex_state = 15},
  [233] = {.lex_state = 15},
  [234] = {.lex_state = 15},
  [235] = {.lex_state = 15},
  [236] = {.lex_state = 15},
  [237] = {.lex_state = 15},
  [238] = {.lex_state = 15},
  [239] = {.lex_state = 15},
  [240] = {.lex_state = 15},
  [241] = {.lex_state = 15},
  [242] = {.lex_state = 15},
  [243] = {.lex_state = 15},
  [244] = {.lex_state = 15},
  [245] = {.lex_state = 15},
  [246] = {.lex_state = 15},
  [247] = {.lex_state = 15},
  [248] = {.lex_state = 15},
  [249] = {.lex_state = 15},
  [250] = {.lex_state = 15},
  [251] = {.lex_state = 15},
  [252] = {.lex_state = 15},
  [253] = {.lex_state = 15},
  [254] = {.lex_state = 15},
  [255] = {.lex_state = 15},
  [256] = {.lex_state = 15},
  [257] = {.lex_state = 15},
  [258] = {.lex_state = 15},
  [259] = {.lex_state = 15},
  [260] = {.lex_state = 15},
  [261] = {.lex_state = 15},
  [262] = {.lex_state = 15},
  [263] = {.lex_state = 15},
  [264] = {.lex_state = 15},
  [265] = {.lex_state = 15},
  [266] = {.lex_state = 15},
  [267] = {.lex_state = 1},
  [268] = {.lex_state = 1},
  [269] = {.lex_state = 1},
  [270] = {.lex_state = 1},
  [271] = {.lex_state = 1},
  [272] = {.lex_state = 1},
  [273] = {.lex_state = 1},
  [274] = {.lex_state = 1},
  [275] = {.lex_state = 1},
  [276] = {.lex_state = 1},
  [277] = {.lex_state = 1},
  [278] = {.lex_state = 1},
  [279] = {.lex_state = 1},
  [280] = {.lex_state = 1},
  [281] = {.lex_state = 1},
  [282] = {.lex_state = 1},
  [283] = {.lex_state = 1},
  [284] = {.lex_state = 1},
  [285] = {.lex_state = 1},
  [286] = {.lex_state = 1},
  [287] = {.lex_state = 1},
  [288] = {.lex_state = 1},
  [289] = {.lex_state = 1},
  [290] = {.lex_state = 1},
  [291] = {.lex_state = 15},
  [292] = {.lex_state = 15},
  [293] = {.lex_state = 0},
  [294] = {.lex_state = 15},
  [295] = {.lex_state = 0},
  [296] = {.lex_state = 15},
  [297] = {.lex_state = 15},
  [298] = {.lex_state = 15},
  [299] = {.lex_state = 15},
  [300] = {.lex_state = 15},
  [301] = {.lex_state = 15},
  [302] = {.lex_state = 3},
  [303] = {.lex_state = 3},
  [304] = {.lex_state = 15},
  [305] = {.lex_state = 3},
  [306] = {.lex_state = 3},
  [307] = {.lex_state = 3},
  [308] = {.lex_state = 4},
  [309] = {.lex_state = 4},
  [310] = {.lex_state = 4},
  [311] = {.lex_state = 4},
  [312] = {.lex_state = 4},
  [313] = {.lex_state = 4},
  [314] = {.lex_state = 4},
  [315] = {.lex_state = 4},
  [316] = {.lex_state = 4},
  [317] = {.lex_state = 0},
  [318] = {.lex_state = 4},
  [319] = {.lex_state = 0},
  [320] = {.lex_state = 0},
  [321] = {.lex_state = 0},
  [322] = {.lex_state = 6},
  [323] = {.lex_state = 0},
  [324] = {.lex_state = 0},
  [325] = {.lex_state = 0},
  [326] = {.lex_state = 4},
  [327] = {.lex_state = 0},
  [328] = {.lex_state = 4},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym__] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [sym_predicate_type] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(323),
    [sym_definition] = STATE(55),
    [sym_string] = STATE(101),
    [sym_list] = STATE(301),
    [sym_grouping] = STATE(301),
    [sym_anonymous_node] = STATE(301),
    [sym_named_node] = STATE(301),
    [sym__field_name] = STATE(80),
    [sym_field_definition] = STATE(301),
    [sym_predicate] = STATE(301),
    [aux_sym_program_repeat1] = STATE(55),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [anon_sym__] = ACTIONS(9),
    [anon_sym_DQUOTE] = ACTIONS(11),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(17), 1,
      anon_sym_DOT,
    ACTIONS(19), 1,
      anon_sym__,
    ACTIONS(21), 1,
      anon_sym_DQUOTE,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LPAREN,
    ACTIONS(27), 1,
      anon_sym_RPAREN,
    ACTIONS(29), 1,
      anon_sym_BANG,
    STATE(8), 1,
      aux_sym_named_node_repeat1,
    STATE(63), 1,
      sym_string,
    STATE(79), 1,
      sym__field_name,
    STATE(269), 3,
      sym_definition,
      sym__named_node_expression,
      sym_negated_field,
    STATE(273), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [50] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(19), 1,
      anon_sym__,
    ACTIONS(21), 1,
      anon_sym_DQUOTE,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BANG,
    ACTIONS(31), 1,
      anon_sym_DOT,
    ACTIONS(33), 1,
      anon_sym_RPAREN,
    STATE(12), 1,
      aux_sym_named_node_repeat1,
    STATE(63), 1,
      sym_string,
    STATE(79), 1,
      sym__field_name,
    STATE(272), 3,
      sym_definition,
      sym__named_node_expression,
      sym_negated_field,
    STATE(273), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [100] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(19), 1,
      anon_sym__,
    ACTIONS(21), 1,
      anon_sym_DQUOTE,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BANG,
    ACTIONS(35), 1,
      anon_sym_DOT,
    ACTIONS(37), 1,
      anon_sym_RPAREN,
    STATE(16), 1,
      aux_sym_named_node_repeat1,
    STATE(63), 1,
      sym_string,
    STATE(79), 1,
      sym__field_name,
    STATE(278), 3,
      sym_definition,
      sym__named_node_expression,
      sym_negated_field,
    STATE(273), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [150] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(19), 1,
      anon_sym__,
    ACTIONS(21), 1,
      anon_sym_DQUOTE,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BANG,
    ACTIONS(39), 1,
      anon_sym_DOT,
    ACTIONS(41), 1,
      anon_sym_RPAREN,
    STATE(22), 1,
      aux_sym_named_node_repeat1,
    STATE(63), 1,
      sym_string,
    STATE(79), 1,
      sym__field_name,
    STATE(286), 3,
      sym_definition,
      sym__named_node_expression,
      sym_negated_field,
    STATE(273), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [200] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(19), 1,
      anon_sym__,
    ACTIONS(21), 1,
      anon_sym_DQUOTE,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BANG,
    ACTIONS(43), 1,
      anon_sym_DOT,
    ACTIONS(45), 1,
      anon_sym_RPAREN,
    STATE(15), 1,
      aux_sym_named_node_repeat1,
    STATE(63), 1,
      sym_string,
    STATE(79), 1,
      sym__field_name,
    STATE(280), 3,
      sym_definition,
      sym__named_node_expression,
      sym_negated_field,
    STATE(273), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [250] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(19), 1,
      anon_sym__,
    ACTIONS(21), 1,
      anon_sym_DQUOTE,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      anon_sym_DOT,
    ACTIONS(49), 1,
      anon_sym_RPAREN,
    STATE(19), 1,
      aux_sym_named_node_repeat1,
    STATE(63), 1,
      sym_string,
    STATE(79), 1,
      sym__field_name,
    STATE(284), 3,
      sym_definition,
      sym__named_node_expression,
      sym_negated_field,
    STATE(273), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [300] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(19), 1,
      anon_sym__,
    ACTIONS(21), 1,
      anon_sym_DQUOTE,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BANG,
    ACTIONS(51), 1,
      anon_sym_RPAREN,
    STATE(11), 1,
      aux_sym_named_node_repeat1,
    STATE(63), 1,
      sym_string,
    STATE(79), 1,
      sym__field_name,
    STATE(276), 3,
      sym_definition,
      sym__named_node_expression,
      sym_negated_field,
    STATE(273), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [347] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(21), 1,
      anon_sym_DQUOTE,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LPAREN,
    ACTIONS(53), 1,
      sym_identifier,
    ACTIONS(55), 1,
      anon_sym__,
    ACTIONS(57), 1,
      anon_sym_RPAREN,
    ACTIONS(59), 1,
      anon_sym_POUND,
    STATE(2), 1,
      sym__node_identifier,
    STATE(48), 1,
      aux_sym_grouping_repeat1,
    STATE(63), 1,
      sym_string,
    STATE(79), 1,
      sym__field_name,
    STATE(295), 2,
      sym_definition,
      sym__group_expression,
    STATE(273), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [396] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(19), 1,
      anon_sym__,
    ACTIONS(21), 1,
      anon_sym_DQUOTE,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BANG,
    ACTIONS(61), 1,
      anon_sym_RPAREN,
    STATE(11), 1,
      aux_sym_named_node_repeat1,
    STATE(63), 1,
      sym_string,
    STATE(79), 1,
      sym__field_name,
    STATE(271), 3,
      sym_definition,
      sym__named_node_expression,
      sym_negated_field,
    STATE(273), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [443] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      sym_identifier,
    ACTIONS(66), 1,
      anon_sym__,
    ACTIONS(69), 1,
      anon_sym_DQUOTE,
    ACTIONS(72), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LPAREN,
    ACTIONS(78), 1,
      anon_sym_RPAREN,
    ACTIONS(80), 1,
      anon_sym_BANG,
    STATE(11), 1,
      aux_sym_named_node_repeat1,
    STATE(63), 1,
      sym_string,
    STATE(79), 1,
      sym__field_name,
    STATE(267), 3,
      sym_definition,
      sym__named_node_expression,
      sym_negated_field,
    STATE(273), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [490] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(19), 1,
      anon_sym__,
    ACTIONS(21), 1,
      anon_sym_DQUOTE,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BANG,
    ACTIONS(83), 1,
      anon_sym_RPAREN,
    STATE(11), 1,
      aux_sym_named_node_repeat1,
    STATE(63), 1,
      sym_string,
    STATE(79), 1,
      sym__field_name,
    STATE(268), 3,
      sym_definition,
      sym__named_node_expression,
      sym_negated_field,
    STATE(273), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [537] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(19), 1,
      anon_sym__,
    ACTIONS(21), 1,
      anon_sym_DQUOTE,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BANG,
    ACTIONS(85), 1,
      anon_sym_RPAREN,
    STATE(11), 1,
      aux_sym_named_node_repeat1,
    STATE(63), 1,
      sym_string,
    STATE(79), 1,
      sym__field_name,
    STATE(274), 3,
      sym_definition,
      sym__named_node_expression,
      sym_negated_field,
    STATE(273), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [584] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(21), 1,
      anon_sym_DQUOTE,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym__,
    ACTIONS(87), 1,
      sym_identifier,
    ACTIONS(89), 1,
      anon_sym_RPAREN,
    ACTIONS(91), 1,
      anon_sym_POUND,
    STATE(4), 1,
      sym__node_identifier,
    STATE(52), 1,
      aux_sym_grouping_repeat1,
    STATE(63), 1,
      sym_string,
    STATE(79), 1,
      sym__field_name,
    STATE(295), 2,
      sym_definition,
      sym__group_expression,
    STATE(273), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [633] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(19), 1,
      anon_sym__,
    ACTIONS(21), 1,
      anon_sym_DQUOTE,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BANG,
    ACTIONS(93), 1,
      anon_sym_RPAREN,
    STATE(11), 1,
      aux_sym_named_node_repeat1,
    STATE(63), 1,
      sym_string,
    STATE(79), 1,
      sym__field_name,
    STATE(282), 3,
      sym_definition,
      sym__named_node_expression,
      sym_negated_field,
    STATE(273), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [680] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(19), 1,
      anon_sym__,
    ACTIONS(21), 1,
      anon_sym_DQUOTE,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BANG,
    ACTIONS(95), 1,
      anon_sym_RPAREN,
    STATE(11), 1,
      aux_sym_named_node_repeat1,
    STATE(63), 1,
      sym_string,
    STATE(79), 1,
      sym__field_name,
    STATE(279), 3,
      sym_definition,
      sym__named_node_expression,
      sym_negated_field,
    STATE(273), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [727] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(19), 1,
      anon_sym__,
    ACTIONS(21), 1,
      anon_sym_DQUOTE,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BANG,
    ACTIONS(97), 1,
      anon_sym_RPAREN,
    STATE(11), 1,
      aux_sym_named_node_repeat1,
    STATE(63), 1,
      sym_string,
    STATE(79), 1,
      sym__field_name,
    STATE(281), 3,
      sym_definition,
      sym__named_node_expression,
      sym_negated_field,
    STATE(273), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [774] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(21), 1,
      anon_sym_DQUOTE,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LPAREN,
    ACTIONS(55), 1,
      anon_sym__,
    ACTIONS(99), 1,
      sym_identifier,
    ACTIONS(101), 1,
      anon_sym_RPAREN,
    ACTIONS(103), 1,
      anon_sym_POUND,
    STATE(7), 1,
      sym__node_identifier,
    STATE(50), 1,
      aux_sym_grouping_repeat1,
    STATE(63), 1,
      sym_string,
    STATE(79), 1,
      sym__field_name,
    STATE(295), 2,
      sym_definition,
      sym__group_expression,
    STATE(273), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [823] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(19), 1,
      anon_sym__,
    ACTIONS(21), 1,
      anon_sym_DQUOTE,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BANG,
    ACTIONS(105), 1,
      anon_sym_RPAREN,
    STATE(11), 1,
      aux_sym_named_node_repeat1,
    STATE(63), 1,
      sym_string,
    STATE(79), 1,
      sym__field_name,
    STATE(285), 3,
      sym_definition,
      sym__named_node_expression,
      sym_negated_field,
    STATE(273), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [870] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(19), 1,
      anon_sym__,
    ACTIONS(21), 1,
      anon_sym_DQUOTE,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BANG,
    ACTIONS(107), 1,
      anon_sym_RPAREN,
    STATE(11), 1,
      aux_sym_named_node_repeat1,
    STATE(63), 1,
      sym_string,
    STATE(79), 1,
      sym__field_name,
    STATE(283), 3,
      sym_definition,
      sym__named_node_expression,
      sym_negated_field,
    STATE(273), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [917] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(19), 1,
      anon_sym__,
    ACTIONS(21), 1,
      anon_sym_DQUOTE,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BANG,
    ACTIONS(109), 1,
      anon_sym_RPAREN,
    STATE(11), 1,
      aux_sym_named_node_repeat1,
    STATE(63), 1,
      sym_string,
    STATE(79), 1,
      sym__field_name,
    STATE(287), 3,
      sym_definition,
      sym__named_node_expression,
      sym_negated_field,
    STATE(273), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [964] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(19), 1,
      anon_sym__,
    ACTIONS(21), 1,
      anon_sym_DQUOTE,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BANG,
    ACTIONS(111), 1,
      anon_sym_RPAREN,
    STATE(11), 1,
      aux_sym_named_node_repeat1,
    STATE(63), 1,
      sym_string,
    STATE(79), 1,
      sym__field_name,
    STATE(288), 3,
      sym_definition,
      sym__named_node_expression,
      sym_negated_field,
    STATE(273), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [1011] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(19), 1,
      anon_sym__,
    ACTIONS(21), 1,
      anon_sym_DQUOTE,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BANG,
    ACTIONS(113), 1,
      anon_sym_RPAREN,
    STATE(11), 1,
      aux_sym_named_node_repeat1,
    STATE(63), 1,
      sym_string,
    STATE(79), 1,
      sym__field_name,
    STATE(289), 3,
      sym_definition,
      sym__named_node_expression,
      sym_negated_field,
    STATE(273), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [1058] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(19), 1,
      anon_sym__,
    ACTIONS(21), 1,
      anon_sym_DQUOTE,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BANG,
    STATE(23), 1,
      aux_sym_named_node_repeat1,
    STATE(63), 1,
      sym_string,
    STATE(79), 1,
      sym__field_name,
    STATE(288), 3,
      sym_definition,
      sym__named_node_expression,
      sym_negated_field,
    STATE(273), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [1102] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(19), 1,
      anon_sym__,
    ACTIONS(21), 1,
      anon_sym_DQUOTE,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BANG,
    STATE(10), 1,
      aux_sym_named_node_repeat1,
    STATE(63), 1,
      sym_string,
    STATE(79), 1,
      sym__field_name,
    STATE(276), 3,
      sym_definition,
      sym__named_node_expression,
      sym_negated_field,
    STATE(273), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [1146] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(19), 1,
      anon_sym__,
    ACTIONS(21), 1,
      anon_sym_DQUOTE,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BANG,
    ACTIONS(115), 1,
      anon_sym_RPAREN,
    STATE(63), 1,
      sym_string,
    STATE(79), 1,
      sym__field_name,
    STATE(277), 3,
      sym_definition,
      sym__named_node_expression,
      sym_negated_field,
    STATE(273), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [1190] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(19), 1,
      anon_sym__,
    ACTIONS(21), 1,
      anon_sym_DQUOTE,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BANG,
    ACTIONS(117), 1,
      anon_sym_RPAREN,
    STATE(63), 1,
      sym_string,
    STATE(79), 1,
      sym__field_name,
    STATE(277), 3,
      sym_definition,
      sym__named_node_expression,
      sym_negated_field,
    STATE(273), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [1234] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(19), 1,
      anon_sym__,
    ACTIONS(21), 1,
      anon_sym_DQUOTE,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BANG,
    ACTIONS(97), 1,
      anon_sym_RPAREN,
    STATE(63), 1,
      sym_string,
    STATE(79), 1,
      sym__field_name,
    STATE(277), 3,
      sym_definition,
      sym__named_node_expression,
      sym_negated_field,
    STATE(273), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [1278] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(19), 1,
      anon_sym__,
    ACTIONS(21), 1,
      anon_sym_DQUOTE,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BANG,
    ACTIONS(85), 1,
      anon_sym_RPAREN,
    STATE(63), 1,
      sym_string,
    STATE(79), 1,
      sym__field_name,
    STATE(277), 3,
      sym_definition,
      sym__named_node_expression,
      sym_negated_field,
    STATE(273), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [1322] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(19), 1,
      anon_sym__,
    ACTIONS(21), 1,
      anon_sym_DQUOTE,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BANG,
    ACTIONS(119), 1,
      anon_sym_RPAREN,
    STATE(63), 1,
      sym_string,
    STATE(79), 1,
      sym__field_name,
    STATE(277), 3,
      sym_definition,
      sym__named_node_expression,
      sym_negated_field,
    STATE(273), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [1366] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(19), 1,
      anon_sym__,
    ACTIONS(21), 1,
      anon_sym_DQUOTE,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BANG,
    ACTIONS(121), 1,
      anon_sym_RPAREN,
    STATE(63), 1,
      sym_string,
    STATE(79), 1,
      sym__field_name,
    STATE(277), 3,
      sym_definition,
      sym__named_node_expression,
      sym_negated_field,
    STATE(273), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [1410] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(19), 1,
      anon_sym__,
    ACTIONS(21), 1,
      anon_sym_DQUOTE,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BANG,
    ACTIONS(107), 1,
      anon_sym_RPAREN,
    STATE(63), 1,
      sym_string,
    STATE(79), 1,
      sym__field_name,
    STATE(277), 3,
      sym_definition,
      sym__named_node_expression,
      sym_negated_field,
    STATE(273), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [1454] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(19), 1,
      anon_sym__,
    ACTIONS(21), 1,
      anon_sym_DQUOTE,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BANG,
    ACTIONS(123), 1,
      anon_sym_RPAREN,
    STATE(63), 1,
      sym_string,
    STATE(79), 1,
      sym__field_name,
    STATE(277), 3,
      sym_definition,
      sym__named_node_expression,
      sym_negated_field,
    STATE(273), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [1498] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(19), 1,
      anon_sym__,
    ACTIONS(21), 1,
      anon_sym_DQUOTE,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BANG,
    ACTIONS(125), 1,
      anon_sym_RPAREN,
    STATE(63), 1,
      sym_string,
    STATE(79), 1,
      sym__field_name,
    STATE(277), 3,
      sym_definition,
      sym__named_node_expression,
      sym_negated_field,
    STATE(273), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [1542] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(19), 1,
      anon_sym__,
    ACTIONS(21), 1,
      anon_sym_DQUOTE,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BANG,
    ACTIONS(127), 1,
      anon_sym_RPAREN,
    STATE(63), 1,
      sym_string,
    STATE(79), 1,
      sym__field_name,
    STATE(277), 3,
      sym_definition,
      sym__named_node_expression,
      sym_negated_field,
    STATE(273), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [1586] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(19), 1,
      anon_sym__,
    ACTIONS(21), 1,
      anon_sym_DQUOTE,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BANG,
    ACTIONS(129), 1,
      anon_sym_RPAREN,
    STATE(63), 1,
      sym_string,
    STATE(79), 1,
      sym__field_name,
    STATE(277), 3,
      sym_definition,
      sym__named_node_expression,
      sym_negated_field,
    STATE(273), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [1630] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(19), 1,
      anon_sym__,
    ACTIONS(21), 1,
      anon_sym_DQUOTE,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BANG,
    ACTIONS(61), 1,
      anon_sym_RPAREN,
    STATE(63), 1,
      sym_string,
    STATE(79), 1,
      sym__field_name,
    STATE(277), 3,
      sym_definition,
      sym__named_node_expression,
      sym_negated_field,
    STATE(273), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [1674] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(19), 1,
      anon_sym__,
    ACTIONS(21), 1,
      anon_sym_DQUOTE,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BANG,
    ACTIONS(131), 1,
      anon_sym_RPAREN,
    STATE(63), 1,
      sym_string,
    STATE(79), 1,
      sym__field_name,
    STATE(277), 3,
      sym_definition,
      sym__named_node_expression,
      sym_negated_field,
    STATE(273), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [1718] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(19), 1,
      anon_sym__,
    ACTIONS(21), 1,
      anon_sym_DQUOTE,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BANG,
    ACTIONS(109), 1,
      anon_sym_RPAREN,
    STATE(63), 1,
      sym_string,
    STATE(79), 1,
      sym__field_name,
    STATE(277), 3,
      sym_definition,
      sym__named_node_expression,
      sym_negated_field,
    STATE(273), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [1762] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(19), 1,
      anon_sym__,
    ACTIONS(21), 1,
      anon_sym_DQUOTE,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BANG,
    STATE(13), 1,
      aux_sym_named_node_repeat1,
    STATE(63), 1,
      sym_string,
    STATE(79), 1,
      sym__field_name,
    STATE(268), 3,
      sym_definition,
      sym__named_node_expression,
      sym_negated_field,
    STATE(273), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [1806] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(19), 1,
      anon_sym__,
    ACTIONS(21), 1,
      anon_sym_DQUOTE,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BANG,
    ACTIONS(133), 1,
      anon_sym_RPAREN,
    STATE(63), 1,
      sym_string,
    STATE(79), 1,
      sym__field_name,
    STATE(277), 3,
      sym_definition,
      sym__named_node_expression,
      sym_negated_field,
    STATE(273), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [1850] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(19), 1,
      anon_sym__,
    ACTIONS(21), 1,
      anon_sym_DQUOTE,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BANG,
    ACTIONS(135), 1,
      anon_sym_RPAREN,
    STATE(63), 1,
      sym_string,
    STATE(79), 1,
      sym__field_name,
    STATE(277), 3,
      sym_definition,
      sym__named_node_expression,
      sym_negated_field,
    STATE(273), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [1894] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(19), 1,
      anon_sym__,
    ACTIONS(21), 1,
      anon_sym_DQUOTE,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BANG,
    ACTIONS(113), 1,
      anon_sym_RPAREN,
    STATE(63), 1,
      sym_string,
    STATE(79), 1,
      sym__field_name,
    STATE(277), 3,
      sym_definition,
      sym__named_node_expression,
      sym_negated_field,
    STATE(273), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [1938] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(19), 1,
      anon_sym__,
    ACTIONS(21), 1,
      anon_sym_DQUOTE,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BANG,
    ACTIONS(137), 1,
      anon_sym_RPAREN,
    STATE(63), 1,
      sym_string,
    STATE(79), 1,
      sym__field_name,
    STATE(277), 3,
      sym_definition,
      sym__named_node_expression,
      sym_negated_field,
    STATE(273), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [1982] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(19), 1,
      anon_sym__,
    ACTIONS(21), 1,
      anon_sym_DQUOTE,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BANG,
    STATE(20), 1,
      aux_sym_named_node_repeat1,
    STATE(63), 1,
      sym_string,
    STATE(79), 1,
      sym__field_name,
    STATE(282), 3,
      sym_definition,
      sym__named_node_expression,
      sym_negated_field,
    STATE(273), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [2026] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(19), 1,
      anon_sym__,
    ACTIONS(21), 1,
      anon_sym_DQUOTE,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BANG,
    STATE(17), 1,
      aux_sym_named_node_repeat1,
    STATE(63), 1,
      sym_string,
    STATE(79), 1,
      sym__field_name,
    STATE(279), 3,
      sym_definition,
      sym__named_node_expression,
      sym_negated_field,
    STATE(273), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [2070] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(19), 1,
      anon_sym__,
    ACTIONS(21), 1,
      anon_sym_DQUOTE,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BANG,
    STATE(21), 1,
      aux_sym_named_node_repeat1,
    STATE(63), 1,
      sym_string,
    STATE(79), 1,
      sym__field_name,
    STATE(285), 3,
      sym_definition,
      sym__named_node_expression,
      sym_negated_field,
    STATE(273), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [2114] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(19), 1,
      anon_sym__,
    ACTIONS(21), 1,
      anon_sym_DQUOTE,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LPAREN,
    ACTIONS(139), 1,
      anon_sym_RPAREN,
    STATE(51), 1,
      aux_sym_grouping_repeat1,
    STATE(63), 1,
      sym_string,
    STATE(79), 1,
      sym__field_name,
    STATE(295), 2,
      sym_definition,
      sym__group_expression,
    STATE(273), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [2157] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(19), 1,
      anon_sym__,
    ACTIONS(21), 1,
      anon_sym_DQUOTE,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BANG,
    STATE(63), 1,
      sym_string,
    STATE(79), 1,
      sym__field_name,
    STATE(277), 3,
      sym_definition,
      sym__named_node_expression,
      sym_negated_field,
    STATE(273), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [2198] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(19), 1,
      anon_sym__,
    ACTIONS(21), 1,
      anon_sym_DQUOTE,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_RPAREN,
    STATE(51), 1,
      aux_sym_grouping_repeat1,
    STATE(63), 1,
      sym_string,
    STATE(79), 1,
      sym__field_name,
    STATE(295), 2,
      sym_definition,
      sym__group_expression,
    STATE(273), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [2241] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(143), 1,
      sym_identifier,
    ACTIONS(146), 1,
      anon_sym__,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(152), 1,
      anon_sym_LBRACK,
    ACTIONS(155), 1,
      anon_sym_LPAREN,
    ACTIONS(158), 1,
      anon_sym_RPAREN,
    STATE(51), 1,
      aux_sym_grouping_repeat1,
    STATE(63), 1,
      sym_string,
    STATE(79), 1,
      sym__field_name,
    STATE(295), 2,
      sym_definition,
      sym__group_expression,
    STATE(273), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [2284] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(19), 1,
      anon_sym__,
    ACTIONS(21), 1,
      anon_sym_DQUOTE,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LPAREN,
    ACTIONS(160), 1,
      anon_sym_RPAREN,
    STATE(51), 1,
      aux_sym_grouping_repeat1,
    STATE(63), 1,
      sym_string,
    STATE(79), 1,
      sym__field_name,
    STATE(295), 2,
      sym_definition,
      sym__group_expression,
    STATE(273), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [2327] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(162), 1,
      anon_sym__,
    ACTIONS(164), 1,
      anon_sym_DQUOTE,
    ACTIONS(166), 1,
      anon_sym_LBRACK,
    ACTIONS(168), 1,
      anon_sym_RBRACK,
    ACTIONS(170), 1,
      anon_sym_LPAREN,
    STATE(81), 1,
      sym__field_name,
    STATE(100), 1,
      sym_string,
    STATE(54), 2,
      sym_definition,
      aux_sym_program_repeat1,
    STATE(300), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [2367] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(172), 1,
      sym_identifier,
    ACTIONS(175), 1,
      anon_sym__,
    ACTIONS(178), 1,
      anon_sym_DQUOTE,
    ACTIONS(181), 1,
      anon_sym_LBRACK,
    ACTIONS(184), 1,
      anon_sym_RBRACK,
    ACTIONS(186), 1,
      anon_sym_LPAREN,
    STATE(81), 1,
      sym__field_name,
    STATE(100), 1,
      sym_string,
    STATE(54), 2,
      sym_definition,
      aux_sym_program_repeat1,
    STATE(300), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [2407] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym__,
    ACTIONS(11), 1,
      anon_sym_DQUOTE,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(189), 1,
      ts_builtin_sym_end,
    STATE(80), 1,
      sym__field_name,
    STATE(101), 1,
      sym_string,
    STATE(59), 2,
      sym_definition,
      aux_sym_program_repeat1,
    STATE(301), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [2447] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(162), 1,
      anon_sym__,
    ACTIONS(164), 1,
      anon_sym_DQUOTE,
    ACTIONS(166), 1,
      anon_sym_LBRACK,
    ACTIONS(170), 1,
      anon_sym_LPAREN,
    ACTIONS(191), 1,
      anon_sym_RBRACK,
    STATE(81), 1,
      sym__field_name,
    STATE(100), 1,
      sym_string,
    STATE(61), 2,
      sym_definition,
      aux_sym_program_repeat1,
    STATE(300), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [2487] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(162), 1,
      anon_sym__,
    ACTIONS(164), 1,
      anon_sym_DQUOTE,
    ACTIONS(166), 1,
      anon_sym_LBRACK,
    ACTIONS(170), 1,
      anon_sym_LPAREN,
    ACTIONS(193), 1,
      anon_sym_RBRACK,
    STATE(81), 1,
      sym__field_name,
    STATE(100), 1,
      sym_string,
    STATE(62), 2,
      sym_definition,
      aux_sym_program_repeat1,
    STATE(300), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [2527] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(19), 1,
      anon_sym__,
    ACTIONS(21), 1,
      anon_sym_DQUOTE,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LPAREN,
    ACTIONS(158), 1,
      anon_sym_RPAREN,
    STATE(63), 1,
      sym_string,
    STATE(79), 1,
      sym__field_name,
    STATE(293), 2,
      sym_definition,
      sym__group_expression,
    STATE(273), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [2567] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(172), 1,
      sym_identifier,
    ACTIONS(184), 1,
      ts_builtin_sym_end,
    ACTIONS(195), 1,
      anon_sym__,
    ACTIONS(198), 1,
      anon_sym_DQUOTE,
    ACTIONS(201), 1,
      anon_sym_LBRACK,
    ACTIONS(204), 1,
      anon_sym_LPAREN,
    STATE(80), 1,
      sym__field_name,
    STATE(101), 1,
      sym_string,
    STATE(59), 2,
      sym_definition,
      aux_sym_program_repeat1,
    STATE(301), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [2607] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(162), 1,
      anon_sym__,
    ACTIONS(164), 1,
      anon_sym_DQUOTE,
    ACTIONS(166), 1,
      anon_sym_LBRACK,
    ACTIONS(170), 1,
      anon_sym_LPAREN,
    ACTIONS(207), 1,
      anon_sym_RBRACK,
    STATE(81), 1,
      sym__field_name,
    STATE(100), 1,
      sym_string,
    STATE(53), 2,
      sym_definition,
      aux_sym_program_repeat1,
    STATE(300), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [2647] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(162), 1,
      anon_sym__,
    ACTIONS(164), 1,
      anon_sym_DQUOTE,
    ACTIONS(166), 1,
      anon_sym_LBRACK,
    ACTIONS(170), 1,
      anon_sym_LPAREN,
    ACTIONS(209), 1,
      anon_sym_RBRACK,
    STATE(81), 1,
      sym__field_name,
    STATE(100), 1,
      sym_string,
    STATE(54), 2,
      sym_definition,
      aux_sym_program_repeat1,
    STATE(300), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [2687] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(162), 1,
      anon_sym__,
    ACTIONS(164), 1,
      anon_sym_DQUOTE,
    ACTIONS(166), 1,
      anon_sym_LBRACK,
    ACTIONS(170), 1,
      anon_sym_LPAREN,
    ACTIONS(211), 1,
      anon_sym_RBRACK,
    STATE(81), 1,
      sym__field_name,
    STATE(100), 1,
      sym_string,
    STATE(54), 2,
      sym_definition,
      aux_sym_program_repeat1,
    STATE(300), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [2727] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(118), 1,
      sym_quantifier,
    STATE(114), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(213), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(215), 3,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_QMARK,
    ACTIONS(219), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [2758] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(135), 1,
      sym_quantifier,
    STATE(136), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(215), 3,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_QMARK,
    ACTIONS(221), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(223), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [2789] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(121), 1,
      sym_quantifier,
    STATE(122), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(215), 3,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_QMARK,
    ACTIONS(225), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(227), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [2820] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(123), 1,
      sym_quantifier,
    STATE(124), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(215), 3,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_QMARK,
    ACTIONS(229), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(231), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [2851] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(126), 1,
      sym_quantifier,
    STATE(127), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(215), 3,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_QMARK,
    ACTIONS(233), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(235), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [2882] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(129), 1,
      sym_quantifier,
    STATE(130), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(215), 3,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_QMARK,
    ACTIONS(237), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(239), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [2913] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(131), 1,
      sym_quantifier,
    STATE(132), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(215), 3,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_QMARK,
    ACTIONS(241), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(243), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [2944] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(137), 1,
      sym_quantifier,
    STATE(138), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(215), 3,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_QMARK,
    ACTIONS(245), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(247), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [2975] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(143), 1,
      sym_quantifier,
    STATE(144), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(215), 3,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_QMARK,
    ACTIONS(249), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(251), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [3006] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(139), 1,
      sym_quantifier,
    STATE(140), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(215), 3,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_QMARK,
    ACTIONS(253), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(255), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [3037] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(145), 1,
      sym_quantifier,
    STATE(146), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(215), 3,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_QMARK,
    ACTIONS(257), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(259), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [3068] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(154), 1,
      sym_quantifier,
    STATE(155), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(215), 3,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_QMARK,
    ACTIONS(261), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(263), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [3099] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(148), 1,
      sym_quantifier,
    STATE(149), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(215), 3,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_QMARK,
    ACTIONS(265), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(267), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [3130] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(118), 1,
      sym_quantifier,
    STATE(114), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(215), 3,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_QMARK,
    ACTIONS(269), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(271), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [3161] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(152), 1,
      sym_quantifier,
    STATE(153), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(215), 3,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_QMARK,
    ACTIONS(273), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(275), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [3192] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(159), 1,
      sym_quantifier,
    STATE(160), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(215), 3,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_QMARK,
    ACTIONS(277), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(279), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [3223] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(19), 1,
      anon_sym__,
    ACTIONS(21), 1,
      anon_sym_DQUOTE,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LPAREN,
    STATE(63), 1,
      sym_string,
    STATE(79), 1,
      sym__field_name,
    STATE(270), 1,
      sym_definition,
    STATE(273), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [3259] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym__,
    ACTIONS(11), 1,
      anon_sym_DQUOTE,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    STATE(80), 1,
      sym__field_name,
    STATE(101), 1,
      sym_string,
    STATE(297), 1,
      sym_definition,
    STATE(301), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [3295] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(162), 1,
      anon_sym__,
    ACTIONS(164), 1,
      anon_sym_DQUOTE,
    ACTIONS(166), 1,
      anon_sym_LBRACK,
    ACTIONS(170), 1,
      anon_sym_LPAREN,
    STATE(81), 1,
      sym__field_name,
    STATE(100), 1,
      sym_string,
    STATE(299), 1,
      sym_definition,
    STATE(300), 6,
      sym_list,
      sym_grouping,
      sym_anonymous_node,
      sym_named_node,
      sym_field_definition,
      sym_predicate,
  [3331] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    STATE(265), 1,
      sym_quantifier,
    ACTIONS(233), 2,
      sym_identifier,
      anon_sym__,
    STATE(223), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(281), 3,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_QMARK,
    ACTIONS(235), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [3360] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    STATE(175), 1,
      sym_quantifier,
    ACTIONS(265), 2,
      sym_identifier,
      anon_sym__,
    STATE(176), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(285), 3,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_QMARK,
    ACTIONS(267), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [3389] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    STATE(187), 1,
      sym_quantifier,
    ACTIONS(277), 2,
      sym_identifier,
      anon_sym__,
    STATE(188), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(285), 3,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_QMARK,
    ACTIONS(279), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [3418] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    STATE(243), 1,
      sym_quantifier,
    ACTIONS(225), 2,
      sym_identifier,
      anon_sym__,
    STATE(244), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(281), 3,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_QMARK,
    ACTIONS(227), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [3447] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    STATE(241), 1,
      sym_quantifier,
    ACTIONS(253), 2,
      sym_identifier,
      anon_sym__,
    STATE(242), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(281), 3,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_QMARK,
    ACTIONS(255), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [3476] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    STATE(184), 1,
      sym_quantifier,
    ACTIONS(237), 2,
      sym_identifier,
      anon_sym__,
    STATE(190), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(281), 3,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_QMARK,
    ACTIONS(239), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [3505] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    STATE(232), 1,
      sym_quantifier,
    ACTIONS(221), 2,
      sym_identifier,
      anon_sym__,
    STATE(233), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(281), 3,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_QMARK,
    ACTIONS(223), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [3534] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    STATE(248), 1,
      sym_quantifier,
    ACTIONS(249), 2,
      sym_identifier,
      anon_sym__,
    STATE(249), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(281), 3,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_QMARK,
    ACTIONS(251), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [3563] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    STATE(250), 1,
      sym_quantifier,
    ACTIONS(257), 2,
      sym_identifier,
      anon_sym__,
    STATE(251), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(281), 3,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_QMARK,
    ACTIONS(259), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [3592] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    STATE(193), 1,
      sym_quantifier,
    ACTIONS(241), 2,
      sym_identifier,
      anon_sym__,
    STATE(197), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(281), 3,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_QMARK,
    ACTIONS(243), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [3621] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    STATE(179), 1,
      sym_quantifier,
    ACTIONS(273), 2,
      sym_identifier,
      anon_sym__,
    STATE(180), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(285), 3,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_QMARK,
    ACTIONS(275), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [3650] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    STATE(253), 1,
      sym_quantifier,
    ACTIONS(229), 2,
      sym_identifier,
      anon_sym__,
    STATE(254), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(281), 3,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_QMARK,
    ACTIONS(231), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [3679] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    STATE(255), 1,
      sym_quantifier,
    ACTIONS(265), 2,
      sym_identifier,
      anon_sym__,
    STATE(256), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(281), 3,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_QMARK,
    ACTIONS(267), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [3708] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    STATE(181), 1,
      sym_quantifier,
    ACTIONS(261), 2,
      sym_identifier,
      anon_sym__,
    STATE(182), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(285), 3,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_QMARK,
    ACTIONS(263), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [3737] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    STATE(260), 1,
      sym_quantifier,
    ACTIONS(273), 2,
      sym_identifier,
      anon_sym__,
    STATE(262), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(281), 3,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_QMARK,
    ACTIONS(275), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [3766] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    STATE(252), 1,
      sym_quantifier,
    ACTIONS(261), 2,
      sym_identifier,
      anon_sym__,
    STATE(219), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(281), 3,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_QMARK,
    ACTIONS(263), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [3795] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    STATE(220), 1,
      sym_quantifier,
    ACTIONS(241), 2,
      sym_identifier,
      anon_sym__,
    STATE(221), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(285), 3,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_QMARK,
    ACTIONS(243), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [3824] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    STATE(192), 1,
      sym_quantifier,
    ACTIONS(277), 2,
      sym_identifier,
      anon_sym__,
    STATE(195), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(281), 3,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_QMARK,
    ACTIONS(279), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [3853] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    STATE(200), 1,
      sym_quantifier,
    ACTIONS(213), 2,
      sym_identifier,
      anon_sym__,
    STATE(201), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(285), 3,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_QMARK,
    ACTIONS(219), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [3882] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    STATE(246), 1,
      sym_quantifier,
    ACTIONS(213), 2,
      sym_identifier,
      anon_sym__,
    STATE(202), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(281), 3,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_QMARK,
    ACTIONS(219), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [3911] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    STATE(206), 1,
      sym_quantifier,
    ACTIONS(225), 2,
      sym_identifier,
      anon_sym__,
    STATE(207), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(285), 3,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_QMARK,
    ACTIONS(227), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [3940] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    STATE(208), 1,
      sym_quantifier,
    ACTIONS(229), 2,
      sym_identifier,
      anon_sym__,
    STATE(210), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(285), 3,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_QMARK,
    ACTIONS(231), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [3969] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    STATE(236), 1,
      sym_quantifier,
    ACTIONS(245), 2,
      sym_identifier,
      anon_sym__,
    STATE(237), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(281), 3,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_QMARK,
    ACTIONS(247), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [3998] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    STATE(213), 1,
      sym_quantifier,
    ACTIONS(233), 2,
      sym_identifier,
      anon_sym__,
    STATE(214), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(285), 3,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_QMARK,
    ACTIONS(235), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [4027] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    STATE(216), 1,
      sym_quantifier,
    ACTIONS(237), 2,
      sym_identifier,
      anon_sym__,
    STATE(217), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(285), 3,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_QMARK,
    ACTIONS(239), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [4056] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    STATE(229), 1,
      sym_quantifier,
    ACTIONS(245), 2,
      sym_identifier,
      anon_sym__,
    STATE(230), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(285), 3,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_QMARK,
    ACTIONS(247), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [4085] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    STATE(226), 1,
      sym_quantifier,
    ACTIONS(221), 2,
      sym_identifier,
      anon_sym__,
    STATE(227), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(285), 3,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_QMARK,
    ACTIONS(223), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [4114] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    STATE(263), 1,
      sym_quantifier,
    ACTIONS(253), 2,
      sym_identifier,
      anon_sym__,
    STATE(264), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(285), 3,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_QMARK,
    ACTIONS(255), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [4143] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    STATE(170), 1,
      sym_quantifier,
    ACTIONS(249), 2,
      sym_identifier,
      anon_sym__,
    STATE(171), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(285), 3,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_QMARK,
    ACTIONS(251), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [4172] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    STATE(172), 1,
      sym_quantifier,
    ACTIONS(257), 2,
      sym_identifier,
      anon_sym__,
    STATE(173), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(285), 3,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_QMARK,
    ACTIONS(259), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [4201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(291), 9,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [4221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(293), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(295), 9,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [4241] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(120), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(297), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(299), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [4264] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(120), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(301), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(303), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [4287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 2,
      sym_identifier,
      anon_sym__,
    ACTIONS(291), 9,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [4306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(293), 2,
      sym_identifier,
      anon_sym__,
    ACTIONS(295), 9,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [4325] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(119), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(305), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(307), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [4348] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(120), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(309), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(311), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [4371] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(315), 1,
      anon_sym_AT,
    STATE(120), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(313), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(318), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [4394] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(125), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(320), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(322), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [4417] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(120), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(233), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(235), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [4440] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(128), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(324), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(326), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [4463] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(120), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(241), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(243), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [4486] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(120), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(328), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(330), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [4509] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(133), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(332), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(334), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [4532] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(120), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(336), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(338), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [4555] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(120), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(340), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(342), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [4578] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(134), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(344), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(346), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [4601] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(120), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(221), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(223), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [4624] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(161), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(348), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(350), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [4647] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(120), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(352), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(354), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [4670] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(120), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(356), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(358), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [4693] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(120), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(360), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(362), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [4716] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(141), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(364), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(366), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [4739] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(120), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(253), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(255), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [4762] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(142), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(368), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(370), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [4785] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(120), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(249), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(251), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [4808] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(147), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(372), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(374), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [4831] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(120), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(257), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(259), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [4854] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(120), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(376), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(378), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [4877] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(120), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(380), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(382), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [4900] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(150), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(384), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(386), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [4923] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(120), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(265), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(267), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [4946] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(151), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(388), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(390), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [4969] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(120), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(273), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(275), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [4992] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(120), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(392), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(394), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [5015] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(156), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(396), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(398), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [5038] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(120), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(261), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(263), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [5061] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(120), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(400), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(402), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [5084] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(120), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(404), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(406), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [5107] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(157), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(408), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(410), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [5130] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(120), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(412), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(414), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [5153] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(158), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(416), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(418), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [5176] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(120), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(277), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(279), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [5199] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(120), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(420), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(422), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [5222] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(120), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(424), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(426), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [5245] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(120), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(428), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(430), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [5268] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(115), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(432), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(434), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [5291] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(120), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(436), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(438), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [5314] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_AT,
    STATE(120), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(440), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(442), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [5337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 2,
      sym_identifier,
      anon_sym__,
    ACTIONS(291), 8,
      ts_builtin_sym_end,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [5355] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(444), 1,
      anon_sym_SLASH,
    ACTIONS(446), 1,
      anon_sym_COLON,
    ACTIONS(269), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(271), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [5377] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(446), 1,
      anon_sym_COLON,
    ACTIONS(448), 1,
      anon_sym_SLASH,
    ACTIONS(269), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(271), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [5399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(293), 2,
      sym_identifier,
      anon_sym__,
    ACTIONS(295), 8,
      ts_builtin_sym_end,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [5417] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(446), 1,
      anon_sym_COLON,
    ACTIONS(450), 1,
      anon_sym_SLASH,
    ACTIONS(269), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(271), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [5439] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    ACTIONS(392), 2,
      sym_identifier,
      anon_sym__,
    STATE(238), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(394), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [5460] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    ACTIONS(376), 2,
      sym_identifier,
      anon_sym__,
    STATE(204), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(378), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [5481] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    ACTIONS(380), 2,
      sym_identifier,
      anon_sym__,
    STATE(204), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(382), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [5502] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    ACTIONS(384), 2,
      sym_identifier,
      anon_sym__,
    STATE(177), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(386), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [5523] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    ACTIONS(265), 2,
      sym_identifier,
      anon_sym__,
    STATE(204), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(267), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [5544] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    ACTIONS(388), 2,
      sym_identifier,
      anon_sym__,
    STATE(178), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(390), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [5565] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    ACTIONS(273), 2,
      sym_identifier,
      anon_sym__,
    STATE(204), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(275), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [5586] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    ACTIONS(392), 2,
      sym_identifier,
      anon_sym__,
    STATE(204), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(394), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [5607] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    ACTIONS(396), 2,
      sym_identifier,
      anon_sym__,
    STATE(183), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(398), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [5628] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    ACTIONS(261), 2,
      sym_identifier,
      anon_sym__,
    STATE(204), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(263), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [5649] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    ACTIONS(400), 2,
      sym_identifier,
      anon_sym__,
    STATE(204), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(402), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [5670] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    ACTIONS(404), 2,
      sym_identifier,
      anon_sym__,
    STATE(204), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(406), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [5691] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    ACTIONS(408), 2,
      sym_identifier,
      anon_sym__,
    STATE(185), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(410), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [5712] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    ACTIONS(412), 2,
      sym_identifier,
      anon_sym__,
    STATE(204), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(414), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [5733] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    ACTIONS(416), 2,
      sym_identifier,
      anon_sym__,
    STATE(186), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(418), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [5754] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    ACTIONS(277), 2,
      sym_identifier,
      anon_sym__,
    STATE(204), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(279), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [5775] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    ACTIONS(420), 2,
      sym_identifier,
      anon_sym__,
    STATE(204), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(422), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [5796] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    ACTIONS(344), 2,
      sym_identifier,
      anon_sym__,
    STATE(218), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(346), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [5817] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    ACTIONS(424), 2,
      sym_identifier,
      anon_sym__,
    STATE(204), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(426), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [5838] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    ACTIONS(428), 2,
      sym_identifier,
      anon_sym__,
    STATE(204), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(430), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [5859] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    ACTIONS(432), 2,
      sym_identifier,
      anon_sym__,
    STATE(189), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(434), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [5880] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    ACTIONS(436), 2,
      sym_identifier,
      anon_sym__,
    STATE(204), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(438), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [5901] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    ACTIONS(301), 2,
      sym_identifier,
      anon_sym__,
    STATE(204), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(303), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [5922] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    ACTIONS(221), 2,
      sym_identifier,
      anon_sym__,
    STATE(238), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(223), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [5943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(452), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(454), 6,
      anon_sym_AT,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [5960] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    ACTIONS(432), 2,
      sym_identifier,
      anon_sym__,
    STATE(196), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(434), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [5981] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    ACTIONS(348), 2,
      sym_identifier,
      anon_sym__,
    STATE(234), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(350), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [6002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(456), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(458), 6,
      anon_sym_AT,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [6019] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    ACTIONS(436), 2,
      sym_identifier,
      anon_sym__,
    STATE(238), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(438), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [6040] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    ACTIONS(301), 2,
      sym_identifier,
      anon_sym__,
    STATE(238), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(303), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [6061] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    ACTIONS(352), 2,
      sym_identifier,
      anon_sym__,
    STATE(238), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(354), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [6082] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    ACTIONS(420), 2,
      sym_identifier,
      anon_sym__,
    STATE(238), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(422), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [6103] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    ACTIONS(356), 2,
      sym_identifier,
      anon_sym__,
    STATE(238), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(358), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [6124] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    ACTIONS(305), 2,
      sym_identifier,
      anon_sym__,
    STATE(203), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(307), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [6145] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    ACTIONS(297), 2,
      sym_identifier,
      anon_sym__,
    STATE(204), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(299), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [6166] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    ACTIONS(297), 2,
      sym_identifier,
      anon_sym__,
    STATE(238), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(299), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [6187] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    ACTIONS(309), 2,
      sym_identifier,
      anon_sym__,
    STATE(204), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(311), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [6208] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(313), 2,
      sym_identifier,
      anon_sym__,
    STATE(204), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(318), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [6229] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    ACTIONS(424), 2,
      sym_identifier,
      anon_sym__,
    STATE(238), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(426), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [6250] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    ACTIONS(320), 2,
      sym_identifier,
      anon_sym__,
    STATE(212), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(322), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [6271] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    ACTIONS(233), 2,
      sym_identifier,
      anon_sym__,
    STATE(204), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(235), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [6292] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    ACTIONS(324), 2,
      sym_identifier,
      anon_sym__,
    STATE(215), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(326), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [6313] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(164), 1,
      anon_sym_DQUOTE,
    ACTIONS(287), 1,
      anon_sym_AT,
    ACTIONS(465), 1,
      anon_sym_RPAREN,
    ACTIONS(463), 2,
      sym_identifier,
      anon_sym__,
    STATE(240), 4,
      sym__node_identifier,
      sym_capture,
      sym_string,
      aux_sym_parameters_repeat1,
  [6336] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    ACTIONS(241), 2,
      sym_identifier,
      anon_sym__,
    STATE(204), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(243), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [6357] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    ACTIONS(328), 2,
      sym_identifier,
      anon_sym__,
    STATE(238), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(330), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [6378] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    ACTIONS(328), 2,
      sym_identifier,
      anon_sym__,
    STATE(204), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(330), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [6399] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    ACTIONS(332), 2,
      sym_identifier,
      anon_sym__,
    STATE(222), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(334), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [6420] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    ACTIONS(336), 2,
      sym_identifier,
      anon_sym__,
    STATE(204), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(338), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [6441] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    ACTIONS(340), 2,
      sym_identifier,
      anon_sym__,
    STATE(204), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(342), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [6462] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    ACTIONS(344), 2,
      sym_identifier,
      anon_sym__,
    STATE(225), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(346), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [6483] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    ACTIONS(221), 2,
      sym_identifier,
      anon_sym__,
    STATE(204), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(223), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [6504] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    ACTIONS(360), 2,
      sym_identifier,
      anon_sym__,
    STATE(238), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(362), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [6525] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    ACTIONS(277), 2,
      sym_identifier,
      anon_sym__,
    STATE(238), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(279), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [6546] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    ACTIONS(348), 2,
      sym_identifier,
      anon_sym__,
    STATE(228), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(350), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [6567] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    ACTIONS(352), 2,
      sym_identifier,
      anon_sym__,
    STATE(204), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(354), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [6588] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    ACTIONS(356), 2,
      sym_identifier,
      anon_sym__,
    STATE(204), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(358), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [6609] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    ACTIONS(336), 2,
      sym_identifier,
      anon_sym__,
    STATE(238), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(338), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [6630] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    ACTIONS(428), 2,
      sym_identifier,
      anon_sym__,
    STATE(238), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(430), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [6651] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    ACTIONS(360), 2,
      sym_identifier,
      anon_sym__,
    STATE(204), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(362), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [6672] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    ACTIONS(364), 2,
      sym_identifier,
      anon_sym__,
    STATE(168), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(366), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [6693] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    ACTIONS(253), 2,
      sym_identifier,
      anon_sym__,
    STATE(204), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(255), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [6714] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    ACTIONS(440), 2,
      sym_identifier,
      anon_sym__,
    STATE(204), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(442), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [6735] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    ACTIONS(368), 2,
      sym_identifier,
      anon_sym__,
    STATE(169), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(370), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [6756] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    ACTIONS(249), 2,
      sym_identifier,
      anon_sym__,
    STATE(204), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(251), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [6777] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    ACTIONS(340), 2,
      sym_identifier,
      anon_sym__,
    STATE(238), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(342), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [6798] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    ACTIONS(364), 2,
      sym_identifier,
      anon_sym__,
    STATE(245), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(366), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [6819] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    ACTIONS(253), 2,
      sym_identifier,
      anon_sym__,
    STATE(238), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(255), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [6840] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    ACTIONS(440), 2,
      sym_identifier,
      anon_sym__,
    STATE(238), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(442), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [6861] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    ACTIONS(309), 2,
      sym_identifier,
      anon_sym__,
    STATE(238), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(311), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [6882] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    ACTIONS(368), 2,
      sym_identifier,
      anon_sym__,
    STATE(247), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(370), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [6903] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    ACTIONS(249), 2,
      sym_identifier,
      anon_sym__,
    STATE(238), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(251), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [6924] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(467), 1,
      anon_sym_AT,
    ACTIONS(313), 2,
      sym_identifier,
      anon_sym__,
    STATE(238), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(318), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [6945] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(164), 1,
      anon_sym_DQUOTE,
    ACTIONS(287), 1,
      anon_sym_AT,
    STATE(317), 1,
      sym_parameters,
    ACTIONS(470), 2,
      sym_identifier,
      anon_sym__,
    STATE(209), 4,
      sym__node_identifier,
      sym_capture,
      sym_string,
      aux_sym_parameters_repeat1,
  [6968] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(478), 1,
      anon_sym_DQUOTE,
    ACTIONS(481), 1,
      anon_sym_RPAREN,
    ACTIONS(472), 2,
      sym_identifier,
      anon_sym__,
    STATE(240), 4,
      sym__node_identifier,
      sym_capture,
      sym_string,
      aux_sym_parameters_repeat1,
  [6991] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    ACTIONS(372), 2,
      sym_identifier,
      anon_sym__,
    STATE(167), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(374), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [7012] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    ACTIONS(257), 2,
      sym_identifier,
      anon_sym__,
    STATE(238), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(259), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [7033] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    ACTIONS(320), 2,
      sym_identifier,
      anon_sym__,
    STATE(211), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(322), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [7054] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    ACTIONS(233), 2,
      sym_identifier,
      anon_sym__,
    STATE(238), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(235), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [7075] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    ACTIONS(376), 2,
      sym_identifier,
      anon_sym__,
    STATE(238), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(378), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [7096] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    ACTIONS(305), 2,
      sym_identifier,
      anon_sym__,
    STATE(235), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(307), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [7117] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    ACTIONS(380), 2,
      sym_identifier,
      anon_sym__,
    STATE(238), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(382), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [7138] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    ACTIONS(384), 2,
      sym_identifier,
      anon_sym__,
    STATE(257), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(386), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [7159] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    ACTIONS(265), 2,
      sym_identifier,
      anon_sym__,
    STATE(238), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(267), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [7180] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    ACTIONS(388), 2,
      sym_identifier,
      anon_sym__,
    STATE(259), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(390), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [7201] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    ACTIONS(273), 2,
      sym_identifier,
      anon_sym__,
    STATE(238), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(275), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [7222] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    ACTIONS(416), 2,
      sym_identifier,
      anon_sym__,
    STATE(224), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(418), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [7243] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    ACTIONS(324), 2,
      sym_identifier,
      anon_sym__,
    STATE(231), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(326), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [7264] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    ACTIONS(241), 2,
      sym_identifier,
      anon_sym__,
    STATE(238), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(243), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [7285] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    ACTIONS(396), 2,
      sym_identifier,
      anon_sym__,
    STATE(198), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(398), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [7306] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    ACTIONS(261), 2,
      sym_identifier,
      anon_sym__,
    STATE(238), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(263), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [7327] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    ACTIONS(400), 2,
      sym_identifier,
      anon_sym__,
    STATE(238), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(402), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [7348] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(164), 1,
      anon_sym_DQUOTE,
    ACTIONS(287), 1,
      anon_sym_AT,
    STATE(321), 1,
      sym_parameters,
    ACTIONS(470), 2,
      sym_identifier,
      anon_sym__,
    STATE(209), 4,
      sym__node_identifier,
      sym_capture,
      sym_string,
      aux_sym_parameters_repeat1,
  [7371] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    ACTIONS(404), 2,
      sym_identifier,
      anon_sym__,
    STATE(238), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(406), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [7392] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    ACTIONS(408), 2,
      sym_identifier,
      anon_sym__,
    STATE(205), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(410), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [7413] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(164), 1,
      anon_sym_DQUOTE,
    ACTIONS(287), 1,
      anon_sym_AT,
    STATE(327), 1,
      sym_parameters,
    ACTIONS(470), 2,
      sym_identifier,
      anon_sym__,
    STATE(209), 4,
      sym__node_identifier,
      sym_capture,
      sym_string,
      aux_sym_parameters_repeat1,
  [7436] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    ACTIONS(412), 2,
      sym_identifier,
      anon_sym__,
    STATE(238), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(414), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [7457] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    ACTIONS(372), 2,
      sym_identifier,
      anon_sym__,
    STATE(174), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(374), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [7478] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_AT,
    ACTIONS(257), 2,
      sym_identifier,
      anon_sym__,
    STATE(204), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(259), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [7499] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 1,
      anon_sym_AT,
    ACTIONS(332), 2,
      sym_identifier,
      anon_sym__,
    STATE(199), 2,
      sym_capture,
      aux_sym_list_repeat1,
    ACTIONS(334), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [7520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(456), 2,
      sym_identifier,
      anon_sym__,
    ACTIONS(458), 6,
      anon_sym_AT,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [7536] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(483), 1,
      anon_sym_DOT,
    ACTIONS(485), 2,
      sym_identifier,
      anon_sym__,
    ACTIONS(487), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [7554] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(489), 1,
      anon_sym_DOT,
    ACTIONS(485), 2,
      sym_identifier,
      anon_sym__,
    ACTIONS(487), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [7572] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(491), 1,
      anon_sym_DOT,
    ACTIONS(485), 2,
      sym_identifier,
      anon_sym__,
    ACTIONS(487), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [7590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(493), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(495), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [7606] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(497), 1,
      anon_sym_DOT,
    ACTIONS(485), 2,
      sym_identifier,
      anon_sym__,
    ACTIONS(487), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [7624] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_DOT,
    ACTIONS(485), 2,
      sym_identifier,
      anon_sym__,
    ACTIONS(487), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [7642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(503), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [7658] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(505), 1,
      anon_sym_DOT,
    ACTIONS(485), 2,
      sym_identifier,
      anon_sym__,
    ACTIONS(487), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [7676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(507), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(509), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [7692] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(511), 1,
      anon_sym_DOT,
    ACTIONS(485), 2,
      sym_identifier,
      anon_sym__,
    ACTIONS(487), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [7710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(513), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(515), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [7726] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(517), 1,
      anon_sym_DOT,
    ACTIONS(485), 2,
      sym_identifier,
      anon_sym__,
    ACTIONS(487), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [7744] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym_DOT,
    ACTIONS(485), 2,
      sym_identifier,
      anon_sym__,
    ACTIONS(487), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [7762] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(521), 1,
      anon_sym_DOT,
    ACTIONS(485), 2,
      sym_identifier,
      anon_sym__,
    ACTIONS(487), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [7780] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_DOT,
    ACTIONS(485), 2,
      sym_identifier,
      anon_sym__,
    ACTIONS(487), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [7798] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(525), 1,
      anon_sym_DOT,
    ACTIONS(485), 2,
      sym_identifier,
      anon_sym__,
    ACTIONS(487), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [7816] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(527), 1,
      anon_sym_DOT,
    ACTIONS(485), 2,
      sym_identifier,
      anon_sym__,
    ACTIONS(487), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [7834] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(529), 1,
      anon_sym_DOT,
    ACTIONS(485), 2,
      sym_identifier,
      anon_sym__,
    ACTIONS(487), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [7852] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(531), 1,
      anon_sym_DOT,
    ACTIONS(485), 2,
      sym_identifier,
      anon_sym__,
    ACTIONS(487), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [7870] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(533), 1,
      anon_sym_DOT,
    ACTIONS(485), 2,
      sym_identifier,
      anon_sym__,
    ACTIONS(487), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [7888] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(535), 1,
      anon_sym_DOT,
    ACTIONS(485), 2,
      sym_identifier,
      anon_sym__,
    ACTIONS(487), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [7906] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(537), 1,
      anon_sym_DOT,
    ACTIONS(485), 2,
      sym_identifier,
      anon_sym__,
    ACTIONS(487), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [7924] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_DOT,
    ACTIONS(485), 2,
      sym_identifier,
      anon_sym__,
    ACTIONS(487), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [7942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(541), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(543), 5,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BANG,
  [7958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(452), 2,
      sym_identifier,
      anon_sym__,
    ACTIONS(454), 5,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [7973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(452), 2,
      sym_identifier,
      anon_sym__,
    ACTIONS(454), 5,
      anon_sym_AT,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [7988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(545), 3,
      anon_sym_DOT,
      sym_identifier,
      anon_sym__,
    ACTIONS(547), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [8003] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(456), 2,
      sym_identifier,
      anon_sym__,
    ACTIONS(458), 5,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [8018] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(549), 1,
      anon_sym_DOT,
    ACTIONS(551), 2,
      sym_identifier,
      anon_sym__,
    ACTIONS(553), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [8035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(541), 2,
      sym_identifier,
      anon_sym__,
    ACTIONS(543), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [8049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(493), 2,
      sym_identifier,
      anon_sym__,
    ACTIONS(495), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [8063] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(541), 2,
      sym_identifier,
      anon_sym__,
    ACTIONS(543), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [8077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(493), 2,
      sym_identifier,
      anon_sym__,
    ACTIONS(495), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [8091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 2,
      sym_identifier,
      anon_sym__,
    ACTIONS(503), 4,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
  [8105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 2,
      sym_identifier,
      anon_sym__,
    ACTIONS(503), 4,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [8119] = 5,
    ACTIONS(557), 1,
      anon_sym_DQUOTE,
    ACTIONS(559), 1,
      sym_comment,
    STATE(306), 1,
      aux_sym_string_content_repeat1,
    STATE(320), 1,
      sym_string_content,
    ACTIONS(555), 2,
      sym_escape_sequence,
      aux_sym_string_content_token1,
  [8136] = 5,
    ACTIONS(559), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_DQUOTE,
    STATE(306), 1,
      aux_sym_string_content_repeat1,
    STATE(324), 1,
      sym_string_content,
    ACTIONS(555), 2,
      sym_escape_sequence,
      aux_sym_string_content_token1,
  [8153] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(563), 2,
      sym_identifier,
      anon_sym__,
    ACTIONS(565), 3,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [8166] = 5,
    ACTIONS(559), 1,
      sym_comment,
    ACTIONS(567), 1,
      anon_sym_DQUOTE,
    STATE(306), 1,
      aux_sym_string_content_repeat1,
    STATE(325), 1,
      sym_string_content,
    ACTIONS(555), 2,
      sym_escape_sequence,
      aux_sym_string_content_token1,
  [8183] = 4,
    ACTIONS(559), 1,
      sym_comment,
    ACTIONS(571), 1,
      anon_sym_DQUOTE,
    STATE(307), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(569), 2,
      sym_escape_sequence,
      aux_sym_string_content_token1,
  [8197] = 4,
    ACTIONS(559), 1,
      sym_comment,
    ACTIONS(576), 1,
      anon_sym_DQUOTE,
    STATE(307), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(573), 2,
      sym_escape_sequence,
      aux_sym_string_content_token1,
  [8211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(578), 1,
      aux_sym__immediate_identifier_token1,
    STATE(6), 1,
      sym__immediate_identifier,
  [8221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(580), 1,
      aux_sym__immediate_identifier_token1,
    STATE(194), 1,
      sym__immediate_identifier,
  [8231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(582), 1,
      aux_sym__immediate_identifier_token1,
    STATE(3), 1,
      sym__immediate_identifier,
  [8241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(584), 1,
      aux_sym__immediate_identifier_token1,
    STATE(5), 1,
      sym__immediate_identifier,
  [8251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(586), 1,
      aux_sym__immediate_identifier_token1,
    STATE(294), 1,
      sym__immediate_identifier,
  [8261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(588), 1,
      aux_sym__immediate_identifier_token1,
    STATE(266), 1,
      sym__immediate_identifier,
  [8271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(590), 1,
      aux_sym__immediate_identifier_token1,
    STATE(318), 1,
      sym__immediate_identifier,
  [8281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(592), 1,
      aux_sym__immediate_identifier_token1,
    STATE(326), 1,
      sym__immediate_identifier,
  [8291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(594), 1,
      aux_sym__immediate_identifier_token1,
    STATE(328), 1,
      sym__immediate_identifier,
  [8301] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(596), 1,
      anon_sym_RPAREN,
  [8308] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(598), 1,
      sym_predicate_type,
  [8315] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(446), 1,
      anon_sym_COLON,
  [8322] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(600), 1,
      anon_sym_DQUOTE,
  [8329] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(602), 1,
      anon_sym_RPAREN,
  [8336] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(604), 1,
      sym_identifier,
  [8343] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(606), 1,
      ts_builtin_sym_end,
  [8350] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(608), 1,
      anon_sym_DQUOTE,
  [8357] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(610), 1,
      anon_sym_DQUOTE,
  [8364] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(612), 1,
      sym_predicate_type,
  [8371] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(614), 1,
      anon_sym_RPAREN,
  [8378] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(616), 1,
      sym_predicate_type,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2)] = 0,
  [SMALL_STATE(3)] = 50,
  [SMALL_STATE(4)] = 100,
  [SMALL_STATE(5)] = 150,
  [SMALL_STATE(6)] = 200,
  [SMALL_STATE(7)] = 250,
  [SMALL_STATE(8)] = 300,
  [SMALL_STATE(9)] = 347,
  [SMALL_STATE(10)] = 396,
  [SMALL_STATE(11)] = 443,
  [SMALL_STATE(12)] = 490,
  [SMALL_STATE(13)] = 537,
  [SMALL_STATE(14)] = 584,
  [SMALL_STATE(15)] = 633,
  [SMALL_STATE(16)] = 680,
  [SMALL_STATE(17)] = 727,
  [SMALL_STATE(18)] = 774,
  [SMALL_STATE(19)] = 823,
  [SMALL_STATE(20)] = 870,
  [SMALL_STATE(21)] = 917,
  [SMALL_STATE(22)] = 964,
  [SMALL_STATE(23)] = 1011,
  [SMALL_STATE(24)] = 1058,
  [SMALL_STATE(25)] = 1102,
  [SMALL_STATE(26)] = 1146,
  [SMALL_STATE(27)] = 1190,
  [SMALL_STATE(28)] = 1234,
  [SMALL_STATE(29)] = 1278,
  [SMALL_STATE(30)] = 1322,
  [SMALL_STATE(31)] = 1366,
  [SMALL_STATE(32)] = 1410,
  [SMALL_STATE(33)] = 1454,
  [SMALL_STATE(34)] = 1498,
  [SMALL_STATE(35)] = 1542,
  [SMALL_STATE(36)] = 1586,
  [SMALL_STATE(37)] = 1630,
  [SMALL_STATE(38)] = 1674,
  [SMALL_STATE(39)] = 1718,
  [SMALL_STATE(40)] = 1762,
  [SMALL_STATE(41)] = 1806,
  [SMALL_STATE(42)] = 1850,
  [SMALL_STATE(43)] = 1894,
  [SMALL_STATE(44)] = 1938,
  [SMALL_STATE(45)] = 1982,
  [SMALL_STATE(46)] = 2026,
  [SMALL_STATE(47)] = 2070,
  [SMALL_STATE(48)] = 2114,
  [SMALL_STATE(49)] = 2157,
  [SMALL_STATE(50)] = 2198,
  [SMALL_STATE(51)] = 2241,
  [SMALL_STATE(52)] = 2284,
  [SMALL_STATE(53)] = 2327,
  [SMALL_STATE(54)] = 2367,
  [SMALL_STATE(55)] = 2407,
  [SMALL_STATE(56)] = 2447,
  [SMALL_STATE(57)] = 2487,
  [SMALL_STATE(58)] = 2527,
  [SMALL_STATE(59)] = 2567,
  [SMALL_STATE(60)] = 2607,
  [SMALL_STATE(61)] = 2647,
  [SMALL_STATE(62)] = 2687,
  [SMALL_STATE(63)] = 2727,
  [SMALL_STATE(64)] = 2758,
  [SMALL_STATE(65)] = 2789,
  [SMALL_STATE(66)] = 2820,
  [SMALL_STATE(67)] = 2851,
  [SMALL_STATE(68)] = 2882,
  [SMALL_STATE(69)] = 2913,
  [SMALL_STATE(70)] = 2944,
  [SMALL_STATE(71)] = 2975,
  [SMALL_STATE(72)] = 3006,
  [SMALL_STATE(73)] = 3037,
  [SMALL_STATE(74)] = 3068,
  [SMALL_STATE(75)] = 3099,
  [SMALL_STATE(76)] = 3130,
  [SMALL_STATE(77)] = 3161,
  [SMALL_STATE(78)] = 3192,
  [SMALL_STATE(79)] = 3223,
  [SMALL_STATE(80)] = 3259,
  [SMALL_STATE(81)] = 3295,
  [SMALL_STATE(82)] = 3331,
  [SMALL_STATE(83)] = 3360,
  [SMALL_STATE(84)] = 3389,
  [SMALL_STATE(85)] = 3418,
  [SMALL_STATE(86)] = 3447,
  [SMALL_STATE(87)] = 3476,
  [SMALL_STATE(88)] = 3505,
  [SMALL_STATE(89)] = 3534,
  [SMALL_STATE(90)] = 3563,
  [SMALL_STATE(91)] = 3592,
  [SMALL_STATE(92)] = 3621,
  [SMALL_STATE(93)] = 3650,
  [SMALL_STATE(94)] = 3679,
  [SMALL_STATE(95)] = 3708,
  [SMALL_STATE(96)] = 3737,
  [SMALL_STATE(97)] = 3766,
  [SMALL_STATE(98)] = 3795,
  [SMALL_STATE(99)] = 3824,
  [SMALL_STATE(100)] = 3853,
  [SMALL_STATE(101)] = 3882,
  [SMALL_STATE(102)] = 3911,
  [SMALL_STATE(103)] = 3940,
  [SMALL_STATE(104)] = 3969,
  [SMALL_STATE(105)] = 3998,
  [SMALL_STATE(106)] = 4027,
  [SMALL_STATE(107)] = 4056,
  [SMALL_STATE(108)] = 4085,
  [SMALL_STATE(109)] = 4114,
  [SMALL_STATE(110)] = 4143,
  [SMALL_STATE(111)] = 4172,
  [SMALL_STATE(112)] = 4201,
  [SMALL_STATE(113)] = 4221,
  [SMALL_STATE(114)] = 4241,
  [SMALL_STATE(115)] = 4264,
  [SMALL_STATE(116)] = 4287,
  [SMALL_STATE(117)] = 4306,
  [SMALL_STATE(118)] = 4325,
  [SMALL_STATE(119)] = 4348,
  [SMALL_STATE(120)] = 4371,
  [SMALL_STATE(121)] = 4394,
  [SMALL_STATE(122)] = 4417,
  [SMALL_STATE(123)] = 4440,
  [SMALL_STATE(124)] = 4463,
  [SMALL_STATE(125)] = 4486,
  [SMALL_STATE(126)] = 4509,
  [SMALL_STATE(127)] = 4532,
  [SMALL_STATE(128)] = 4555,
  [SMALL_STATE(129)] = 4578,
  [SMALL_STATE(130)] = 4601,
  [SMALL_STATE(131)] = 4624,
  [SMALL_STATE(132)] = 4647,
  [SMALL_STATE(133)] = 4670,
  [SMALL_STATE(134)] = 4693,
  [SMALL_STATE(135)] = 4716,
  [SMALL_STATE(136)] = 4739,
  [SMALL_STATE(137)] = 4762,
  [SMALL_STATE(138)] = 4785,
  [SMALL_STATE(139)] = 4808,
  [SMALL_STATE(140)] = 4831,
  [SMALL_STATE(141)] = 4854,
  [SMALL_STATE(142)] = 4877,
  [SMALL_STATE(143)] = 4900,
  [SMALL_STATE(144)] = 4923,
  [SMALL_STATE(145)] = 4946,
  [SMALL_STATE(146)] = 4969,
  [SMALL_STATE(147)] = 4992,
  [SMALL_STATE(148)] = 5015,
  [SMALL_STATE(149)] = 5038,
  [SMALL_STATE(150)] = 5061,
  [SMALL_STATE(151)] = 5084,
  [SMALL_STATE(152)] = 5107,
  [SMALL_STATE(153)] = 5130,
  [SMALL_STATE(154)] = 5153,
  [SMALL_STATE(155)] = 5176,
  [SMALL_STATE(156)] = 5199,
  [SMALL_STATE(157)] = 5222,
  [SMALL_STATE(158)] = 5245,
  [SMALL_STATE(159)] = 5268,
  [SMALL_STATE(160)] = 5291,
  [SMALL_STATE(161)] = 5314,
  [SMALL_STATE(162)] = 5337,
  [SMALL_STATE(163)] = 5355,
  [SMALL_STATE(164)] = 5377,
  [SMALL_STATE(165)] = 5399,
  [SMALL_STATE(166)] = 5417,
  [SMALL_STATE(167)] = 5439,
  [SMALL_STATE(168)] = 5460,
  [SMALL_STATE(169)] = 5481,
  [SMALL_STATE(170)] = 5502,
  [SMALL_STATE(171)] = 5523,
  [SMALL_STATE(172)] = 5544,
  [SMALL_STATE(173)] = 5565,
  [SMALL_STATE(174)] = 5586,
  [SMALL_STATE(175)] = 5607,
  [SMALL_STATE(176)] = 5628,
  [SMALL_STATE(177)] = 5649,
  [SMALL_STATE(178)] = 5670,
  [SMALL_STATE(179)] = 5691,
  [SMALL_STATE(180)] = 5712,
  [SMALL_STATE(181)] = 5733,
  [SMALL_STATE(182)] = 5754,
  [SMALL_STATE(183)] = 5775,
  [SMALL_STATE(184)] = 5796,
  [SMALL_STATE(185)] = 5817,
  [SMALL_STATE(186)] = 5838,
  [SMALL_STATE(187)] = 5859,
  [SMALL_STATE(188)] = 5880,
  [SMALL_STATE(189)] = 5901,
  [SMALL_STATE(190)] = 5922,
  [SMALL_STATE(191)] = 5943,
  [SMALL_STATE(192)] = 5960,
  [SMALL_STATE(193)] = 5981,
  [SMALL_STATE(194)] = 6002,
  [SMALL_STATE(195)] = 6019,
  [SMALL_STATE(196)] = 6040,
  [SMALL_STATE(197)] = 6061,
  [SMALL_STATE(198)] = 6082,
  [SMALL_STATE(199)] = 6103,
  [SMALL_STATE(200)] = 6124,
  [SMALL_STATE(201)] = 6145,
  [SMALL_STATE(202)] = 6166,
  [SMALL_STATE(203)] = 6187,
  [SMALL_STATE(204)] = 6208,
  [SMALL_STATE(205)] = 6229,
  [SMALL_STATE(206)] = 6250,
  [SMALL_STATE(207)] = 6271,
  [SMALL_STATE(208)] = 6292,
  [SMALL_STATE(209)] = 6313,
  [SMALL_STATE(210)] = 6336,
  [SMALL_STATE(211)] = 6357,
  [SMALL_STATE(212)] = 6378,
  [SMALL_STATE(213)] = 6399,
  [SMALL_STATE(214)] = 6420,
  [SMALL_STATE(215)] = 6441,
  [SMALL_STATE(216)] = 6462,
  [SMALL_STATE(217)] = 6483,
  [SMALL_STATE(218)] = 6504,
  [SMALL_STATE(219)] = 6525,
  [SMALL_STATE(220)] = 6546,
  [SMALL_STATE(221)] = 6567,
  [SMALL_STATE(222)] = 6588,
  [SMALL_STATE(223)] = 6609,
  [SMALL_STATE(224)] = 6630,
  [SMALL_STATE(225)] = 6651,
  [SMALL_STATE(226)] = 6672,
  [SMALL_STATE(227)] = 6693,
  [SMALL_STATE(228)] = 6714,
  [SMALL_STATE(229)] = 6735,
  [SMALL_STATE(230)] = 6756,
  [SMALL_STATE(231)] = 6777,
  [SMALL_STATE(232)] = 6798,
  [SMALL_STATE(233)] = 6819,
  [SMALL_STATE(234)] = 6840,
  [SMALL_STATE(235)] = 6861,
  [SMALL_STATE(236)] = 6882,
  [SMALL_STATE(237)] = 6903,
  [SMALL_STATE(238)] = 6924,
  [SMALL_STATE(239)] = 6945,
  [SMALL_STATE(240)] = 6968,
  [SMALL_STATE(241)] = 6991,
  [SMALL_STATE(242)] = 7012,
  [SMALL_STATE(243)] = 7033,
  [SMALL_STATE(244)] = 7054,
  [SMALL_STATE(245)] = 7075,
  [SMALL_STATE(246)] = 7096,
  [SMALL_STATE(247)] = 7117,
  [SMALL_STATE(248)] = 7138,
  [SMALL_STATE(249)] = 7159,
  [SMALL_STATE(250)] = 7180,
  [SMALL_STATE(251)] = 7201,
  [SMALL_STATE(252)] = 7222,
  [SMALL_STATE(253)] = 7243,
  [SMALL_STATE(254)] = 7264,
  [SMALL_STATE(255)] = 7285,
  [SMALL_STATE(256)] = 7306,
  [SMALL_STATE(257)] = 7327,
  [SMALL_STATE(258)] = 7348,
  [SMALL_STATE(259)] = 7371,
  [SMALL_STATE(260)] = 7392,
  [SMALL_STATE(261)] = 7413,
  [SMALL_STATE(262)] = 7436,
  [SMALL_STATE(263)] = 7457,
  [SMALL_STATE(264)] = 7478,
  [SMALL_STATE(265)] = 7499,
  [SMALL_STATE(266)] = 7520,
  [SMALL_STATE(267)] = 7536,
  [SMALL_STATE(268)] = 7554,
  [SMALL_STATE(269)] = 7572,
  [SMALL_STATE(270)] = 7590,
  [SMALL_STATE(271)] = 7606,
  [SMALL_STATE(272)] = 7624,
  [SMALL_STATE(273)] = 7642,
  [SMALL_STATE(274)] = 7658,
  [SMALL_STATE(275)] = 7676,
  [SMALL_STATE(276)] = 7692,
  [SMALL_STATE(277)] = 7710,
  [SMALL_STATE(278)] = 7726,
  [SMALL_STATE(279)] = 7744,
  [SMALL_STATE(280)] = 7762,
  [SMALL_STATE(281)] = 7780,
  [SMALL_STATE(282)] = 7798,
  [SMALL_STATE(283)] = 7816,
  [SMALL_STATE(284)] = 7834,
  [SMALL_STATE(285)] = 7852,
  [SMALL_STATE(286)] = 7870,
  [SMALL_STATE(287)] = 7888,
  [SMALL_STATE(288)] = 7906,
  [SMALL_STATE(289)] = 7924,
  [SMALL_STATE(290)] = 7942,
  [SMALL_STATE(291)] = 7958,
  [SMALL_STATE(292)] = 7973,
  [SMALL_STATE(293)] = 7988,
  [SMALL_STATE(294)] = 8003,
  [SMALL_STATE(295)] = 8018,
  [SMALL_STATE(296)] = 8035,
  [SMALL_STATE(297)] = 8049,
  [SMALL_STATE(298)] = 8063,
  [SMALL_STATE(299)] = 8077,
  [SMALL_STATE(300)] = 8091,
  [SMALL_STATE(301)] = 8105,
  [SMALL_STATE(302)] = 8119,
  [SMALL_STATE(303)] = 8136,
  [SMALL_STATE(304)] = 8153,
  [SMALL_STATE(305)] = 8166,
  [SMALL_STATE(306)] = 8183,
  [SMALL_STATE(307)] = 8197,
  [SMALL_STATE(308)] = 8211,
  [SMALL_STATE(309)] = 8221,
  [SMALL_STATE(310)] = 8231,
  [SMALL_STATE(311)] = 8241,
  [SMALL_STATE(312)] = 8251,
  [SMALL_STATE(313)] = 8261,
  [SMALL_STATE(314)] = 8271,
  [SMALL_STATE(315)] = 8281,
  [SMALL_STATE(316)] = 8291,
  [SMALL_STATE(317)] = 8301,
  [SMALL_STATE(318)] = 8308,
  [SMALL_STATE(319)] = 8315,
  [SMALL_STATE(320)] = 8322,
  [SMALL_STATE(321)] = 8329,
  [SMALL_STATE(322)] = 8336,
  [SMALL_STATE(323)] = 8343,
  [SMALL_STATE(324)] = 8350,
  [SMALL_STATE(325)] = 8357,
  [SMALL_STATE(326)] = 8364,
  [SMALL_STATE(327)] = 8371,
  [SMALL_STATE(328)] = 8378,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(319),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(101),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(25),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(63),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(40),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(46),
  [37] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(24),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(45),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(47),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(164),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(76),
  [57] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [59] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [61] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [63] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_named_node_repeat1, 2, 0, 0), SHIFT_REPEAT(319),
  [66] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_named_node_repeat1, 2, 0, 0), SHIFT_REPEAT(63),
  [69] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_named_node_repeat1, 2, 0, 0), SHIFT_REPEAT(303),
  [72] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_named_node_repeat1, 2, 0, 0), SHIFT_REPEAT(57),
  [75] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_named_node_repeat1, 2, 0, 0), SHIFT_REPEAT(18),
  [78] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_named_node_repeat1, 2, 0, 0),
  [80] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_named_node_repeat1, 2, 0, 0), SHIFT_REPEAT(322),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [85] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(166),
  [89] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [91] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [97] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [143] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_grouping_repeat1, 2, 0, 0), SHIFT_REPEAT(319),
  [146] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_grouping_repeat1, 2, 0, 0), SHIFT_REPEAT(63),
  [149] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_grouping_repeat1, 2, 0, 0), SHIFT_REPEAT(303),
  [152] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_grouping_repeat1, 2, 0, 0), SHIFT_REPEAT(57),
  [155] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_grouping_repeat1, 2, 0, 0), SHIFT_REPEAT(18),
  [158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_grouping_repeat1, 2, 0, 0),
  [160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(100),
  [164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(319),
  [175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(100),
  [178] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(305),
  [181] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(56),
  [184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [186] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(14),
  [189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1, 0, 0),
  [191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(101),
  [198] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(302),
  [201] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(60),
  [204] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(9),
  [207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_node, 1, 0, 1),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_node, 1, 0, 1),
  [221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_node, 4, 0, 3),
  [223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_node, 4, 0, 3),
  [225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 2, 0, 0),
  [227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 2, 0, 0),
  [229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_grouping, 2, 0, 0),
  [231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_grouping, 2, 0, 0),
  [233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 3, 0, 0),
  [235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 3, 0, 0),
  [237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_node, 3, 0, 3),
  [239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_node, 3, 0, 3),
  [241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_grouping, 3, 0, 0),
  [243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_grouping, 3, 0, 0),
  [245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_node, 5, 0, 7),
  [247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_node, 5, 0, 7),
  [249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_node, 6, 0, 7),
  [251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_node, 6, 0, 7),
  [253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_node, 5, 0, 3),
  [255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_node, 5, 0, 3),
  [257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_node, 6, 0, 3),
  [259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_node, 6, 0, 3),
  [261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_node, 8, 0, 7),
  [263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_node, 8, 0, 7),
  [265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_node, 7, 0, 7),
  [267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_node, 7, 0, 7),
  [269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__node_identifier, 1, 0, 0),
  [271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__node_identifier, 1, 0, 0),
  [273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_node, 7, 0, 3),
  [275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_node, 7, 0, 3),
  [277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_node, 9, 0, 7),
  [279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_node, 9, 0, 7),
  [281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_node, 2, 0, 1),
  [299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_node, 2, 0, 1),
  [301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_node, 11, 0, 17),
  [303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_node, 11, 0, 17),
  [305] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_node, 2, 0, 2),
  [307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_node, 2, 0, 2),
  [309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_node, 3, 0, 2),
  [311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_node, 3, 0, 2),
  [313] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_list_repeat1, 2, 0, 0),
  [315] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_repeat1, 2, 0, 0), SHIFT_REPEAT(309),
  [318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_list_repeat1, 2, 0, 0),
  [320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 3, 0, 4),
  [322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 3, 0, 4),
  [324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_grouping, 3, 0, 4),
  [326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_grouping, 3, 0, 4),
  [328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 4, 0, 4),
  [330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 4, 0, 4),
  [332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 4, 0, 5),
  [334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 4, 0, 5),
  [336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 4, 0, 0),
  [338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 4, 0, 0),
  [340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_grouping, 4, 0, 4),
  [342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_grouping, 4, 0, 4),
  [344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_node, 4, 0, 6),
  [346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_node, 4, 0, 6),
  [348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_grouping, 4, 0, 5),
  [350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_grouping, 4, 0, 5),
  [352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_grouping, 4, 0, 0),
  [354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_grouping, 4, 0, 0),
  [356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 5, 0, 5),
  [358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 5, 0, 5),
  [360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_node, 5, 0, 6),
  [362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_node, 5, 0, 6),
  [364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_node, 5, 0, 8),
  [366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_node, 5, 0, 8),
  [368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_node, 6, 0, 9),
  [370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_node, 6, 0, 9),
  [372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_node, 6, 0, 11),
  [374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_node, 6, 0, 11),
  [376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_node, 6, 0, 8),
  [378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_node, 6, 0, 8),
  [380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_node, 7, 0, 9),
  [382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_node, 7, 0, 9),
  [384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_node, 7, 0, 12),
  [386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_node, 7, 0, 12),
  [388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_node, 7, 0, 13),
  [390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_node, 7, 0, 13),
  [392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_node, 7, 0, 11),
  [394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_node, 7, 0, 11),
  [396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_node, 8, 0, 14),
  [398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_node, 8, 0, 14),
  [400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_node, 8, 0, 12),
  [402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_node, 8, 0, 12),
  [404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_node, 8, 0, 13),
  [406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_node, 8, 0, 13),
  [408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_node, 8, 0, 15),
  [410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_node, 8, 0, 15),
  [412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_node, 8, 0, 3),
  [414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_node, 8, 0, 3),
  [416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_node, 9, 0, 16),
  [418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_node, 9, 0, 16),
  [420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_node, 9, 0, 14),
  [422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_node, 9, 0, 14),
  [424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_node, 9, 0, 15),
  [426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_node, 9, 0, 15),
  [428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_node, 10, 0, 16),
  [430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_node, 10, 0, 16),
  [432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_node, 10, 0, 17),
  [434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_node, 10, 0, 17),
  [436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_node, 10, 0, 7),
  [438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_node, 10, 0, 7),
  [440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_grouping, 5, 0, 5),
  [442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_grouping, 5, 0, 5),
  [444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quantifier, 1, 0, 0),
  [454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quantifier, 1, 0, 0),
  [456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_capture, 2, 0, 3),
  [458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_capture, 2, 0, 3),
  [460] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_repeat1, 2, 0, 0), SHIFT_REPEAT(313),
  [463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(240),
  [465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 1, 0, 0),
  [467] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_repeat1, 2, 0, 0), SHIFT_REPEAT(312),
  [470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [472] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(240),
  [475] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(313),
  [478] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(305),
  [481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0),
  [483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(49),
  [485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_named_node_repeat1, 1, 0, 0),
  [487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_named_node_repeat1, 1, 0, 0),
  [489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(35),
  [491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(37),
  [493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_definition, 2, 0, 1),
  [495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 2, 0, 1),
  [497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(31),
  [499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(29),
  [501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_definition, 1, 0, 0),
  [503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_definition, 1, 0, 0),
  [505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(36),
  [507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_negated_field, 2, 0, 0),
  [509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_negated_field, 2, 0, 0),
  [511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(26),
  [513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__named_node_expression, 3, 0, 0),
  [515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__named_node_expression, 3, 0, 0),
  [517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(28),
  [519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(30),
  [521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(32),
  [523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(33),
  [525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(27),
  [527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(34),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(39),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(41),
  [533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(43),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(42),
  [537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(38),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(44),
  [541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_predicate, 6, 0, 10),
  [543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_predicate, 6, 0, 10),
  [545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__group_expression, 3, 0, 0),
  [547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__group_expression, 3, 0, 0),
  [549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(58),
  [551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_grouping_repeat1, 1, 0, 0),
  [553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_grouping_repeat1, 1, 0, 0),
  [555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(162),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(112),
  [563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_name, 2, 0, 0),
  [565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_name, 2, 0, 0),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(116),
  [569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [571] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_content, 1, 0, 0),
  [573] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(307),
  [576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0),
  [578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [606] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_query(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
